; *************************************
; ** Synclock scroller
; ** By Martin Liesen 1991
; *************************************
                >PART 'CALL SUPER PART'
                pea     begin(PC)
                move.w  #38,-(A7)
                trap    #14
                addq.l  #6,A7
                clr.w   -(A7)
                trap    #1
                ENDPART
begin:          >PART 'SAVE REGISTER'
                lea     savetab(PC),A6
                move.l  A7,(A6)+
                lea     stack,A7
                move.b  $FFFFFA07.w,(A6)+
                move.b  $FFFFFA09.w,(A6)+
                move.b  $FFFFFA0F.w,(A6)+
                move.b  $FFFFFA11.w,(A6)+
                move.b  $FFFFFA13.w,(A6)+
                move.b  $FFFFFA15.w,(A6)+
                move.l  $68.w,(A6)+
                move.l  $70.w,(A6)+
                move.l  $0120.w,(A6)+
                move.w  #4,-(A7)
                trap    #14
                move.w  D0,(A6)+
                move.w  #2,-(A7)
                trap    #14
                move.l  D0,(A6)+
                movem.l $FFFF8240.w,D0-D7
                movem.l D0-D7,(A6)
                lea     32(A6),A6
                bra.s   startsynclock
                ENDPART
                >PART 'CLEAR BUFFERT'
                lea     minne(PC),A0
                lea     minneend,A1
                moveq   #0,D0
                moveq   #0,D1
                moveq   #0,D2
                moveq   #0,D3
                moveq   #0,D4
                moveq   #0,D5
                moveq   #0,D6
                moveq   #0,D7
rensa:          movem.l D0-D7,-(A1)
                cmpa.l  A0,A1
                bne.s   rensa
                ENDPART
back:           >PART 'RESTORE AND RTS'
                move    #$2700,SR
                lea     savetab(PC),A6
                movea.l (A6)+,A7
                move.b  (A6)+,$FFFFFA07.w
                move.b  (A6)+,$FFFFFA09.w
                move.b  (A6)+,$FFFFFA0F.w
                move.b  (A6)+,$FFFFFA11.w
                move.b  (A6)+,$FFFFFA13.w
                move.b  (A6)+,$FFFFFA15.w
                move.l  (A6)+,$68.w
                move.l  (A6)+,$70.w
                move.l  (A6)+,$0120.w
                move.w  (A6)+,-(A7)
                move.l  (A6),-(A7)
                move.l  (A6)+,-(A7)
                move.w  #5,-(A7)
                trap    #14
                lea     12(A7),A7
                movem.l (A6)+,D0-D7
                movem.l D0-D7,$FFFF8240.w
                rts
                ENDPART

startsynclock:  >PART 'MAKE FILL'
                moveq   #0,D0
                moveq   #0,D1
                moveq   #0,D2
                lea     col1(PC),A0
                lea     col2(PC),A1
                lea     col3(PC),A2
                lea     colcool(PC),A3
                moveq   #15,D6
koolta:         moveq   #15,D7
koolt:          move.w  0(A0,D0.w),D3
                addq.w  #2,D0
                and.w   #$1E,D0
                or.w    0(A2,D2.w),D3
                addq.w  #2,D2
                and.w   #$1E,D2
                or.w    0(A1,D1.w),D3
                move.w  D3,(A3)+
                dbra    D7,koolt
                addq.w  #2,D1
                and.w   #$1E,D1
                addq.w  #2,D2
                and.w   #$1E,D2
                dbra    D6,koolta
                ENDPART
                >PART 'FIXA SINUS'
                lea     sinusen(PC),A0
                move.w  #1023,D0
fixing:         andi.w  #$FF00,(A0)+
                dbra    D0,fixing
                ENDPART
                >PART 'FIX FONT'
                lea     fonten(PC),A0
                lea     font(PC),A1

                moveq   #59,D1
floop2:         lea     colcool(PC),A3
                lea     fulpal(PC),A5
                movea.l A1,A2
                moveq   #15,D0
floop1:         move.w  (A2),D7
                movea.l A5,A4
                addq.l  #2,A5

                moveq   #15,D4
rotat:          move.w  (A4)+,D5
                move.w  (A3)+,D6
                rol.w   #1,D7
                bcc.s   nixtan
                exg     D6,D5
nixtan:         move.w  D5,(A0)+
                dbra    D4,rotat
                lea     120(A2),A2
                dbra    D0,floop1

                addq.l  #2,A1
                dbra    D1,floop2

                ENDPART
                >PART 'FIX BACKGROUND'
                lea     fulpal(PC),A6
                lea     colbuf-(56*256)+16,A0
                moveq   #0,D6
                moveq   #30,D5
ork2:           moveq   #127,D7

ork1:           move.w  0(A6,D6.w),D0
                moveq   #13,D3
hej:            move.w  D0,(A0)
                lea     256(A0),A0
                dbra    D3,hej

                lea     (-14*256)+2(A0),A0
                addq.w  #2,D6
                and.w   #$1F,D6
                dbra    D7,ork1

                lea     13*256(A0),A0
                addq.w  #2,D6
                and.w   #$1F,D6
                dbra    D5,ork2

                ENDPART
                >PART 'SETUP'

                lea     xadd(PC),A0
                move.l  #380*256,(A0)

                lea     sinpek(PC),A0
                move.w  #800,(A0)
                lea     drawpek(PC),A0
                lea     fonten(PC),A1
                move.l  A1,(A0)
                lea     newchar(PC),A0
                clr.w   (A0)
                lea     colours+32,A0
                lea     scrollpek(PC),A1
                move.l  A0,(A1)
                lea     scrolltext(PC),A0
                lea     textpek(PC),A1
                move.l  A0,(A1)

                move.l  #skarm,D0
                and.l   #$FFFFFF00,D0
                lea     screen(PC),A1
                move.l  D0,(A1)
                moveq   #0,D1
                move.w  #270*40,D0
                movea.l screen(PC),A0
rensar:         move.l  D1,(A0)+
                dbra    D0,rensar
                move.b  screen+1(PC),$FFFF8201.w
                move.b  screen+2(PC),$FFFF8203.w

                lea     dummyvbl(PC),A0 ; set vbl
                move.l  A0,$70.w
                move.l  A0,$0120.w
                move.w  #0,-(A7)        ; set rez
                pea     -1
                pea     -1
                move.w  #5,-(A7)
                trap    #14
                lea     12(A7),A7

                lea     vbl(PC),A0      ; set vbl
                move.l  A0,$70.w
                lea     hbl(PC),A0      ; set hbl
                move.l  A0,$68.w

                move.b  #0,$FFFFFA07.w  ; set timers
                move.b  #0,$FFFFFA09.w
                move.b  #1,$FFFFFA07.w
                move.b  #1,$FFFFFA13.w
                ENDPART
                >PART 'WAITFORKEY'
stopit:         move    #$2300,SR
                cmpi.b  #$39,$FFFFFC02.w ; wat        move.b  #0,$2300,SR
   beg     :               cmp
  i.b  #$39,$FFFFFC02.w ; wat     C   5   D   6   E    DC0Fg    2:               cmA13$5q              613$5q  A13$ sa$2sa$.w  0w  0w  1sa$2sa$30g    3:               cmp70w  060w  050w  040w  030w  020w  010w  0w  0w  010w  020w  030w  040w  050w  060w  070w              move.l  PATH '\LIESEN\ASM\SYNCSCR\(A7FFA1:           IBYTES 'ALTA7.w).RAW'(PC),A0      ; set vbl
   D3,h:        IBYTES 'SYNCSIN.IMG'              pea     -1
 r.w    0(A1,:   ove.w  #ONea ITH DI  ; g    ALSIZEk lik2700,SR
                lea     saveta
                move.w   30 RA
   3,yo2 only haveBSS
              move.B 350*   4
        :     move.B    4
 8A0 :             lea     saveta
                move.w  SYNCLOCK MINNE(A7FFA1.W     lea   QU      g    $FFF    lea   QU      +(130*   4)g    6=l     lea   QU D7,$FFFF(48$004A
   $F      lea   QU      +(290*   4)g            lea     saveta           lea     
