                >PART 'Programmers guide'

* 126930  421127   Skivhugget!

* ta bort PicTab_Pek & PalTab_Pek



* vid MODULE kommandot
*     Inga Address/Data register r frsatta
*
* vid COMPILERING
*     A5=_InitTab
*
* vid PROCESS RUNNING
*     A4=Current Seq_PC
*     A5=_Proc_Tab

* vid INTERRUPT RUNNING
*     A4=Data tab (multiproccess tab)
*     A5=_Proc_Tab


                ENDPART
                OPT P-
                PATH 'A:\'
@Editor         EQU 1
@Seq_Max_Size   EQU 64*1024
                IF @Editor=1
                >PART 'RUN_EDITOR'
                movea.l A7,A5
                lea     $0007FFF0,A7
                movea.l 4(A5),A5
                move.l  $000C(A5),D0
                add.l   $0014(A5),D0
                add.l   $001C(A5),D0
                add.l   #$00000100,D0
                move.l  D0,-(A7)
                move.l  A5,-(A7)
                move.w  #0,-(A7)
                move.w  #$004A,-(A7)
                trap    #1
                adda.l  #12,A7

                pea     _Nulls(PC)
                pea     _ComLine(PC)
                pea     _Editor(PC)
                clr.w   -(A7)
                move.w  #$004B,-(A7)
                trap    #1
                lea     16(A7),A7
                clr.w   -(A7)
                trap    #1

_ComLine:       DC.B " OMEGA.SEQ"
_Nulls:         DC.B 0,0
_Editor:        DC.B "K:\STEDI\STEDI.PRG"
                EVEN
                ENDPART
                ELSE


                >PART 'CALL SUPER PART'
                pea     begin(PC)
                move.w  #38,-(A7)
                trap    #14
                addq.l  #6,A7
                clr.w   -(A7)
                trap    #1
                rts
                ENDPART
begin:          >PART 'SAVE REGISTERS'
****************************************
**   S A V E    R E G I S T E R S
****************************************
                lea     savetab(PC),A6
                move.l  A7,(A6)+
                move.l  $00000070.w,(A6)+
                move.l  $000000A0.w,(A6)+
                move.l  $00000120.w,(A6)+
                move.b  $FFFFFA07.w,(A6)+
                move.b  $FFFFFA09.w,(A6)+
                move.b  $FFFFFA0F.w,(A6)+
                move.b  $FFFFFA11.w,(A6)+
                move.b  $FFFFFA13.w,(A6)+
                move.b  $FFFFFA15.w,(A6)+
                move.l  $00000068.w,(A6)+
                move.l  $00000070.w,(A6)+
                move.l  $000000A0.w,(A6)+
                move.l  $00000118.w,(A6)+
                move.l  $00000120.w,(A6)+
                move.w  #4,-(A7)
                trap    #14
                move.w  D0,(A6)+
                move.w  #2,-(A7)
                trap    #14
                move.l  D0,(A6)+
                movem.l $FFFF8240.w,D0-D7
                movem.l D0-D7,(A6)
                lea     32(A6),A6
                bra.s   startup
                ENDPART
back:           >PART 'RESTORE AND RTS'
******************************************
*** R E S T O R E   E V E R Y T H I N G
******************************************
                move    #$2700,SR
                lea     savetab(PC),A6
                movea.l (A6)+,A7
                move.l  (A6)+,$00000070.w
                move.l  (A6)+,$000000A0.w
                move.l  (A6)+,$00000120.w
                move.b  (A6)+,$FFFFFA07.w
                move.b  (A6)+,$FFFFFA09.w
                move.b  (A6)+,$FFFFFA0F.w
                move.b  (A6)+,$FFFFFA11.w
                move.b  (A6)+,$FFFFFA13.w
                move.b  (A6)+,$FFFFFA15.w
                move.l  (A6)+,$00000068.w
                move.l  (A6)+,$00000070.w
                move.l  (A6)+,$00000118.w
                move.l  (A6)+,$00000120.w
                move.w  (A6)+,-(A7)
                move.l  (A6),-(A7)
                move.l  (A6)+,-(A7)
                move.w  #5,-(A7)
                trap    #14
                lea     12(A7),A7
                movem.l (A6)+,D0-D7
                movem.l D0-D7,$FFFF8240.w
                rts
                ENDPART
startup:        >PART 'Init'
                bsr     Initer
s:              lea     s(PC),A6
                move    #$2700,SR
                lea     Vbl(PC),A0
                move.l  A0,$00000070.w
                lea     TimerB(PC),A0
                move.l  A0,$00000120.w
                move.b  #0,$FFFFFA07.w
                move.b  #0,$FFFFFA09.w
                move.b  #0,$FFFFFA13.w
                move.b  #0,$FFFFFA15.w
                move.b  #1,$FFFFFA13.w
                move.b  #1,$FFFFFA07.w
                move    #$2300,SR

                move.b  #0,$FFFF8260.w
                bsr.s   Vsync
                move.b  #0,$FFFF820A.w
                bsr.s   Vsync
                bsr.s   Vsync
                move.b  #2,$FFFF820A.w

                ENDPART
                bra     Starter
Vsync:          >PART 'Vsync'
                tst.w   VblFlag-s(A6)
                beq.s   Vsync
                clr.w   VblFlag-s(A6)
                rts
                ENDPART
TimerB:         >PART 'Raster Irq'
                eori.w  #$0630,$FFFF8240.w
                bclr    #0,$FFFFFA0F.w
                rte
                ENDPART
Vbl:            >PART 'VBL Irq'
                addq.w  #1,VblFlag-s(A6)
                cmpi.b  #$39,$FFFFFC02.w
                beq     back
                rte
                ENDPART
VblFlag:        DS.W 1
savetab:        DS.L 64

ERROR:          >PART 'Error Handel'
                move.w  _Line(PC),D0
                lea     .Digs(PC),A1
                lea     .Hurmp(PC),A2
                moveq   #3,D2
.ToDec:         rol.w   #4,D0
                move.w  D0,D1
                and.w   #$000F,D1
                move.b  0(A1,D1.w),(A2)+
                dbra    D2,.ToDec

                pea     .GunText(PC)
                move.w  #9,-(A7)
                trap    #1
                move.w  #7,-(A7)
                trap    #1
                addq.l  #2,A7

                bra     back

.Digs:          DC.B "0123456789ABCDEF"
.GunText:       DC.B 27,"E"
                DC.B "Error at line "
.Hurmp:         DC.B "....!",0
                EVEN
                ENDPART


PictRout:       >PART 'Draw Pic rout'
P:
                lea     P(PC),A6
                pea     _ComName(PC)
                pea     Initizer(PC)
                move.w  #32,-(A7)
                trap    #8
                addq.l  #8,A7

                move.w  #33,-(A7)
                trap    #8
                addq.l  #2,A7

                move.l  A0,-(A7)
                move.w  #21,-(A7)
                trap    #8
                addq.l  #6,A7
                cmp.b   #";",D0
                bne.s   .Fucking_Fel

                move.l  A0,-(A7)
                move.w  #34,-(A7)
                trap    #8
                addq.l  #6,A7

                rts
.Fucking_Fel:   illegal
                DC.B "Error in PICTURE DISPLAY MODULE command "
                EVEN
_ComName:       DC.B "DRAW_PIC",0
                EVEN
Initizer:       move.l  #35,-(A7)
                trap    #8
                addq.l  #2,A7
                movea.l A0,A2               ; a2=Save buf

                lea     SplatHim(PC),A0
                move.l  A0,(A2)+

                move.l  #33,-(A7)
                trap    #8
                addq.l  #2,A7
                movea.l A0,A3               ; a3=Get from buf

                move.l  A3,-(A7)
                move.w  #2,-(A7)
                move.w  #17,-(A7)
                trap    #8
                addq.w  #8,A7
                movea.l A0,A3
                add.w   D0,D0
                move.w  D0,(A2)+            ; bpl offset

                move.l  A3,-(A7)
                move.w  #2,-(A7)
                move.w  #17,-(A7)
                trap    #8
                addq.w  #8,A7
                movea.l A0,A3
                add.w   D0,D0
                add.w   D0,D0
                move.w  D0,(A2)+            ; Bild offset

                move.l  A3,-(A7)
                move.w  #34,-(A7)
                trap    #8
                addq.l  #6,A7               ; Save SeqComp

                move.l  A2,-(A7)
                move.w  #36,-(A7)
                trap    #8
                addq.l  #6,A7               ; Save SeqSave

                rts
SplatHim:
                ENDPART


                >PART 'INFO TEXT'
*  Video, sequenser language v 1.0
*
*
*   #INI          Start Init section

*   STAC XXXX     Size of Sequenser Stack.. Default is $0200 =512 Bytes
*   _NEO XX YY Z "FIL"
*                 Load neochrome picture to pic XX. Pal will be saved at ZZ
*                 If Z=0 then it's a 1 bitplane picture, if Z=1 then
*                 it's a 4 bitplane picture. "FIL" is the name of the
*                 picture, including path ect.
*   PALE XX,aaa,bbb..  Define a palete. (if you don't enter 16 values,
*                 the last entered will be used to fill the others with.)

*   #SEQ          Start Sequenser section

*   WAIT XX       Wait nr of VBL's (dec)
*   PICT Z XX     Put Picture on Screen (Bitplane Z (0-3)) (hex)
*   WIPE Z        Erases a entire bitplane
*   >COL Y,RGB    (Y=color nr)   RGB=0-F       All in hex!
*   FADE XX,YY,ZZ Fade colors, from pal XX to YY using ZZ vbl's
*   >PAL ZZ       Set pal. ZZ.

*   S_LP XX       Start of a loop (which will loop XX times (dec))
*   LOOP          Execute Loop

*   LAB: XXXX     A label, XXXX can be anything(ASCII, writable)
*   GOTO XXXX     Goto label XXXX and continue sequense there
*   GOSB XXXX     Gosub a label (goto but returns when a "RETU" is found)
*   RETU          Return from a GOSB
*   <END          Ends sequenser.. this command is always included as the
*                 last command, so you only have to use it if you wish to
*                 end in sub-routine or something like that.
*
*  #END           End of file, (everything coming after is REMARK lines)

* Always use correct number of digits (like 01, not 1)
* Use upper charceters where it is said you should.
*
* All commands effecting screen/colors will take place at the NEXT vbl..
* but they are executed at a ghost screen during THIS vbl. This don't has
* to be keept in mind (mostly).  The result of this is that everything you
* do concerning a bitplane has to be done again the next frame (exception
* is if you draw a new picture on same bitplane every VBL) to avoid flickering.
* This means.. If you draw 3 picture on different bitplanes during a 3VBL time
* period (drawing 1 plane at the time) the computer will have to work like
* this:   VBL 1   Draw Picture 1 on Bitplane 1
*         VBL 2   Draw Picture 1 on Bitplane 1
*                 Draw Picture 2 on Bitplane 2
*         VBL 3   Draw Picture 2 on Bitplane 2
*                 Draw Picture 3 on Bitplane 3
*         VBL 4   Draw Picture 3 on Bitplane 3
* This is why I limit the bitplane use to ONE process per bitplane at ONE
* VBL (meaning maximum of 4 bitplane-effecting proccesses (with a few
* complicated exception if REALLY neccessary)) so that the PROGRAM WILL
* AVOID doing like this when drawing 3 pics at same bitplane.
*         VBL 1   Draw Picture 1 on Bitplane 1
*         VBL 2   Draw Picture 1 on Bitplane 1
*                 Draw Picture 2 on Bitplane 1
*         VBL 3   Draw Picture 2 on Bitplane 1
*                 Draw Picture 3 on Bitplane 1
*         VBL 4   Draw Picture 3 on Bitplane 1
* But instead do like this
*         VBL 1   Draw Picture 1 on Bitplane 1
*         VBL 2   Draw Picture 2 on Bitplane 1
*         VBL 3   Draw Picture 3 on Bitplane 1
*         VBL 4   Draw Picture 3 on Bitplane 1
* Working like this means that you only have to CONSIDER that what takes
* time a one VBL may take time at the next VBL too if you don't reuse the
* same bitplanes again. (Meaning that Updating 2 bitplanes at VBL 1 and the
* other 2 the next vbl would give:
*         VBL 1   Draw Picture 1 on Bitplane 1
*                 Draw Picture 2 on Bitplane 2
*         VBL 2   Draw Picture 1 on Bitplane 1
*                 Draw Picture 2 on Bitplane 2
*                 Draw Picture 3 on Bitplane 3
*                 Draw Picture 4 on Bitplane 4
* But this really is no problem when just drawing pictures, as only two has
* to be uncrunched at VBL 1 and 2 at VBL 2 + copying the other 2 (which is
* quite fast using the blitter)

*
* REMark lines MUST start with a * and continues to the end of the line.
*
* A remark line can start at the end of a command line.
* Spaces at the start of a line is removed, making it possibly to creat
* easy to read sequenses-code.
*
* A command MUST end with a ;..
* Characters that has no function: NEW-LINE  SPACE  ,
*      They are all just ignorred. (>WAIT 00 = >WAIT 01 = >WA IT ,,01)
* Observe that NEW-LINE ends a remark line.
                ENDPART
                >PART 'Picture Data'
*      0   1.W    Type
*                 0= 1 bpl, pure Image file
*                 1= 2 bpl
*                 2= 3 bpl
*                 3= 4 bpl
*
*     32   x..    Start of image / crunched data

                ENDPART

T8:             >PART 'ckel'
                movem.l D2-D7/A2-A6,-(A7)
                lea     T8(PC),A6
                lea     11*4+6(A7),A5
                move.w  (A5)+,D7
                add.w   D7,D7
                move.w  _HoppTab-T8(A6,D7.w),D7
                jsr     0(A6,D7.w)
                movem.l (A7)+,D2-D7/A2-A6
                rte
                ENDPART
_HoppTab:       >PART 'T8 commands'
                DC.W ResvMem-T8             ; 0
                DC.W FillMem-T8
                DC.W FreeMem-T8
                DC.W ClenMem-T8
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W SetVar                 ; 8
                DC.W GetVar
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W GetStr-T8              ; 16
                DC.W GetHexNr-T8
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W StupidChar-T8
                DC.W GetStartChar-T8
                DC.W GetContChar-T8
                DC.W FindEnd-T8             ; 24
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W ToComBuf-T8            ; 32
                DC.W GetSeqComPek-T8
                DC.W SetSeqComPek-T8
                DC.W GetSeqSavePek-T8
                DC.W SetSeqSavePek-T8
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0                      ; 40
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0                      ; 48
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                ENDPART

                >PART 'Memory Commands T8'
ResvMem:        move.l  D0,-(A7)
                move.l  (A5)+,D0            ; Size
                bsr     GET_FRG_MEM
                move.l  (A7)+,D0
                rts                         ; out: a0=memory address

FillMem:        movea.l (A5)+,A2            ; Address
                move.l  (A5)+,D2            ; Size
                lsr.l   #1,D2
                subq.l  #1,D2
                bmi.s   .Stupid
.Fylla:         clr.w   (A2)+
                dbra    D2,.Fylla
.Stupid:        rts

FreeMem:        movem.l D0/A0,-(A7)
                movea.l (A5)+,A0            ; Address
                move.l  (A5)+,D0            ; Size
                bsr     FREE_FRG_MEM
                movem.l (A7)+,D0/A0
                rts

ClenMem:        bsr     CLEAN_FRG_TAB
                rts
                ENDPART
                >PART 'Variabel commands T8'

* Set/Create a variabel
* .L Address to name
* .L value
* out:  d0=0 if existed   -1 if created
SetVar:         movem.l D1/A0-A1,-(A7)
                move.l  (A5)+,D1
                movea.l (A5)+,A0
                bsr     FindVar             ; out d0,a0
                lea     _fast(PC),A1
                move.l  (A1)+,(A0)+
                move.l  (A1)+,(A0)+
                move.l  D1,(A0)+
                movem.l (A7)+,D1/A0-A1
                rts

* Get variabel value
* .L Address to name
* out:  d0=value
*       d1=-1 if not existed   0=if ok
GetVar:         movea.l (A5)+,A0
                bsr     FindVar
                move.l  D0,D1
                move.l  8(A0),D0            ; funkar pga "next unused" = even
                rts

FindVar:
* a0=Address to name
* out: a0=location address  (or next unused)
*      d0=0 if exist  -1 if not
                movem.l D2/A2-A3,-(A7)
                lea     _fast(PC),A2
                movea.l A2,A4
                clr.l   (A2)
                clr.l   4(A2)
.kopiera:       move.b  (A0)+,(A2)+
                bne.s   .kopiera
                move.l  (A3)+,D0
                move.l  (A3)+,D2
                movea.l _VarTab_Pek(PC),A0
.takeone:       cmp.l   (A0),D0
                bne.s   .fail_1
                cmp.l   4(A0),D2
                bne.s   .fail_2
                moveq   #0,D0
                movem.l (A7)+,D2/A2-A3
                rts
.fail1:         tst.l   (A0)
                beq.s   .dont_exist
.fail2:         lea     12(A0),A0
                bra.s   .takeone
.dont_exist:    moveq   #-1,D0
                movem.l (A7)+,D2/A2-A3
                rts
_fast:          DS.B 8


                ENDPART
                >PART 'String commands T8'

**************** 16

* Expects GetStartChar, GetContChar to not destroy d1,a1,a2
GetStr:         move.l  D0,-(A7)
                movea.l (A5)+,A2            ; Save at
                movea.l (A5)+,A0            ; Look at

                move.l  A0,-(A7)
                movea.l A7,A5
                bsr     GetStartChar
                addq.l  #4,A7

                cmp.b   #'"',D0
                bne.s   .GetS_Error

.St_loop:       move.l  A0,-(A7)
                movea.l A7,A5
                bsr     GetContChar
                addq.l  #4,A7

                cmp.b   #'"',D0
                beq.s   .Slutet
                move.b  D0,(A2)+
                bra.s   .St_loop
.Slutet:        clr.b   (A2)+
                move.l  (A7)+,D0
                rts
.GetS_Error:    illegal
                DC.B 'a quote mark is expected, but not found '
                EVEN


**************** 17

* destroys d2,d3
GetHexNr:       move.w  (A5)+,D2            ; Nr of hex's
                movea.l (A5)+,A0            ; Address

                move.w  D2,-(A7)
                move.l  A0,-(A7)
                movea.l A7,A5
                bsr     GetStartChar
                addq.l  #4,A7
                lea     -1(A0),A0
                move.w  (A7)+,D2

                moveq   #0,D3
                subq.w  #1,D2
.Hexa_Loop:     lsl.l   #4,D3
                movem.l D2-D3,-(A7)
                move.l  A0,-(A7)
                movea.l A7,A5
                bsr     GetContChar
                addq.l  #4,A7
                movem.l (A7)+,D2-D3

                cmp.b   #'0',D0
                blo.s   .HEX_Error
                cmp.b   #'9',D0
                ble.s   .GotDecDigit
                cmp.b   #'A',D0
                blo.s   .HEX_Error
                cmp.b   #'F',D0
                ble.s   .GotHexDigit
                cmp.w   #'a',D0
                blt.s   .HEX_Error
                cmp.b   #'f',D0
                bhi.s   .HEX_Error
.GotHexDigit:   add.b   #9,D0
.GotDecDigit:   and.w   #$000F,D0
                or.w    D0,D3
                dbra    D2,.Hexa_Loop
                move.l  D3,D0
                rts
.HEX_Error:     illegal
                DC.B "D7 Not a hexadecimal ascII number "
                EVEN



**************** 21

* destroys nothing
StupidChar:     move.w  (A5)+,D0            ; Character
                cmp.b   #32,D0
                beq.s   .Yes2
                cmp.b   #13,D0
                beq.s   .NewL2
                cmp.b   #10,D0
                beq.s   .Yes2
                cmp.b   #9,D0
                beq.s   .Yes2
                cmp.b   #',',D0
                beq.s   .Yes2
                moveq   #-1,D0
                rts                         ; d0=-1 if valid char
.NewL2:         addq.w  #1,_Line-T8(A6)
.Yes2:          moveq   #0,D0
                rts                         ; d0= 0 if dummy char

**************** 22

* expects StupidChar to no destroy A0,A1,D1,D2
* destroys d2
GetStartChar:   movea.l (A5)+,A0            ; Look at
.GetValid:      move.b  (A0)+,D2
                cmp.b   #"*",D2
                bne.s   .NotRemark
.LookLF:        cmpi.b  #13,(A0)+
                bne.s   .LookLF
                bra.s   .GetValid
.NotRemark:     move.w  D2,-(A7)
                movea.l A7,A5
                bsr.s   StupidChar          ; Call 21
                addq.l  #2,A7
                tst.w   D0
                beq.s   .GetValid
                move.w  D2,D0
                rts                         ; Out A0=address D0=Char


**************** 23

* Destroys d2
GetContChar:    movea.l (A5)+,A0            ; Look at
                move.b  (A0)+,D2
                move.w  D2,-(A7)
                movea.l A7,A5
                bsr.s   StupidChar
                addq.l  #2,A7
                tst.w   D0
                beq.s   .ContError
                move.w  D2,D0
                rts                         ; Out A0=address D0=Char
.ContError:     illegal
                DC.B "Unexcpected character in data field"
                EVEN

**************** 24

* Expects GetStartChar to not destroy d1,a1
* Destroys nothing
FindEnd:        move.l  D0,-(A7)
                move.l  (A5)+,-(A7)
                movea.l A7,A5
                bsr.s   GetStartChar
                addq.l  #4,A7
                cmp.b   #";",D0
                bne     ERROR
                move.l  (A7)+,D0
                rts                         ; out A0=Address after ;
                ENDPART
                >PART 'Seq pointer commands T8'
ToComBuf:
GetSeqComPek:   movea.l _SeqCompPek(PC),A0
                rts
SetSeqComPek:   lea     _SeqCompPek(PC),A2
                move.l  (A5)+,(A2)
                rts
GetSeqSavePek:  movea.l _SeqSavePek(PC),A0
                rts
SetSeqSavePek:  lea     _SeqSavePek(PC),A2
                move.l  (A5)+,(A2)
                rts
                ENDPART
******************************************
Initer:         >PART 'Initisering'
                pea     InitText(PC)        ; (C) Init text
                move.w  #9,-(A7)
                trap    #1
                addq.l  #6,A7

                bsr     INIT_MEMCONTL       ; Fix memory controler
                bsr     INIT_FRG_MEM
                move.l  #T8,$000000A0.w     ; Start Trap #8


                move.l  #@Seq_Max_Size,D0
                bsr     GET_FRG_MEM
                move.l  A0,_SeqCompPek
                move.l  A0,_SeqSavePek
                move.l  A0,_Seq_PC
                move.l  A0,_Seq_Start
                lea     _Seq_Name(PC),A1
                bsr     LoadFile
                bsr.s   TransformSeq

*                movea.l _Seq_Pek(PC),A0     ; Free unused FRG mem
*                move.l  A0,D0
*                add.l   #@Seq_Max_Size,D0
*                sub.l   _Seq_End_Pek(PC),D0
*                and.l   #$FFFFFFFE,D0
*                bsr     FREE_FRG_MEM


                lea     _Pro1(PC),A0        ; Set Pro1 & Pro2 pointers
                lea     _Procceses1(PC),A1
                move.l  A1,(A0)+
                lea     _Procceses2(PC),A1
                move.l  A1,(A0)+

                move.l  #32256,D0           ; Reserve Screen Memory
                bsr     GET_FRG_MEM
                move.l  A0,D1
                add.l   #255,D1
                and.l   #$00FFFF00,D1
                lea     _D_Screen(PC),A6
                move.l  D1,(A6)
                bsr     GET_FRG_MEM
                move.l  A0,D1
                add.l   #255,D1
                and.l   #$00FFFF00,D1
                lea     _W_Screen(PC),A6
                move.l  D1,(A6)

                rts

InitText:       DC.B 27,"E"
                DC.B 27,"p","Coffein",27,"q",13,10
                DC.B "(C)opyright 1992 Martin Liesen",13,10,10
                DC.B 0
                EVEN
                ENDPART
TransformSeq:   >PART 'Convert SEQ to fast, +INIT'
                move.l  #1024*4,D0
                bsr     GET_FRG_MEM
                bsr     CLEAR_MEM
                move.l  A0,_PalTab_Pek
                bsr     GET_FRG_MEM
                bsr     CLEAR_MEM
                move.l  A0,_PicTab_Pek

                bsr     GET_FRG_MEM         ; Get TEMPORARY areas
                bsr     CLEAR_MEM           ; for LABEL processing
                lea     _LabelAddr_Pek(PC),A1
                move.l  A0,(A1)+
                move.l  A0,(A1)+
                bsr     GET_FRG_MEM
                bsr     CLEAR_MEM
                lea     _LabelJump_Pek(PC),A1
                move.l  A0,(A1)+
                move.l  A0,(A1)+


                lea     _Init_Tab(PC),A5

.NextCom:       move.l  _SeqCompPek(PC),-(A7)
                move.w  #22,-(A7)
                trap    #8
                addq.l  #6,A7
                subq.w  #1,A0
                move.l  A0,@_SeqCompPek(A5) ; skip shit.

                lea     Sequens_C(PC),A2
.LookMore:      tst.l   (A2)
                beq     ERROR
                movea.l (A2)+,A4
                movea.l (A2)+,A3
                movea.l _SeqCompPek(PC),A0
.mupp:          cmpm.b  (A0)+,(A4)+
                beq.s   .mupp
                tst.b   -1(A4)
                bne.s   .LookMore
                subq.w  #1,A0
                move.b  (A0),D0
                cmp.b   #";",D0
                beq.s   .godis
                move.w  D0,-(A7)
                move.w  #21,-(A7)
                trap    #8
                addq.l  #4,A7
                tst.w   D0
                bne.s   .LookMore
.godis:         move.l  A0,@_SeqCompPek(A5)
                movem.l D0-A6,-(A7)
                jsr     (A3)
                movem.l (A7)+,D0-A6
                tst.w   _StopFlag
                bne.s   .NextCom


                move.w  @_StackSize(A5),D0  ; Create Stack
                bsr     GET_FRG_MEM
                lea     @_StackSize(A0),A0
                lea     _Proc_Tab(PC),A4
                move.l  A0,@_Seq_SP(A4)

                lea     _Seq_Slut(PC),A0
                move.l  @_SeqSavePek,(A0)   ; Spara slut fr frigivning

                rts



*>> LABEL Processing

                movea.l _LabelJump_Pek(PC),A0

.NextLabel:     move.l  (A0)+,D0
                beq.s   .Lab_Fin

                movea.l _LabelAddr_Pek(PC),A1
.Not_Sam:       move.l  (A1)+,D1
                move.l  (A1)+,D2
                tst.l   D1
                beq.s   .Lab_Error
                cmp.l   D1,D0
                bne.s   .Not_Sam
                movea.l (A0)+,A1
                move.l  D2,(A1)
                bra.s   .NextLabel

.Lab_Error:     illegal
                DC.B "Label in D0 was never defined"
                EVEN

.Lab_Fin:       move.l  #256*4,D0           ; Free Temporary LABEL areas
                movea.l _LabelAddr_Pek(PC),A1
                bsr     FREE_FRG_MEM
                movea.l _LabelJump_Pek(PC),A1
                bsr     FREE_FRG_MEM


                ENDPART
_Seq_Name:      DC.B "OMEGA.SEQ",0
                EVEN


Starter:        >PART 'Start SEQ'
                move.l  #-1,$FFFF8A28.w     ; Bliter default
                move.w  #-1,$FFFF8A2C.w
                move.b  #0,$FFFF8A3D.w
                move.b  #$40,$FFFF8A3C.w

                lea     VBL(PC),A0
                move.l  A0,$00000070.w
                clr.b   $FFFFFA1B.w
.loop:          cmpi.b  #$39,$FFFFFC02.w
                bne.s   .loop
                bra     back
                ENDPART
******************************************
Switch:         >PART 'Toggle buffert'
                move.l  _Pro1(PC),D0
                move.l  _Pro2(PC),D1
                move.l  D0,_Pro2-e(A6)
                move.l  D1,_Pro1-e(A6)
                move.l  _W_Screen(PC),D0
                move.l  _D_Screen(PC),D1
                move.l  D0,_D_Screen-e(A6)
                move.l  D1,_W_Screen-e(A6)
                move.b  _D_Screen+1(PC),$FFFF8201.w
                move.b  _D_Screen+2(PC),$FFFF8203.w
                rts
                ENDPART
Run_Proc:       >PART 'Do all procceses'
                lea     _Proc_Tab(PC),A5
                movea.l @_Pro1(A5),A4
                moveq   #7,D7
.AllProc:       tst.l   (A4)
                beq.s   .Nothing
                movem.l D7/A4-A5,-(A7)
                movea.l (A4),A0
                jsr     (A0)
                movem.l (A7)+,D7/A4-A5
                clr.l   (A4)
.Nothing:       lea     32(A4),A4
                dbra    D7,.AllProc
                rts
                ENDPART

VBL:            >PART 'VBL Routine'
                movem.l D0-A6,-(A7)
                lea     e(PC),A6
                not.w   _DoingVBL-e(A6)
                beq.s   F_U_C_K
                bsr.s   Switch
                lea     _PalToSet(PC),A0
                movem.l (A0)+,D0-D7
                movem.l D0-D7,$FFFF8240.w

                bsr.s   Run_Seq
                bsr.s   Run_Proc

                not.w   _DoingVBL-e(A6)
                movem.l (A7)+,D0-A6
                rte
F_U_C_K:        illegal
                DC.B "Over VBL time"
                EVEN
                ENDPART

Run_Seq:        >PART 'Run Sequenser'
                lea     _Proc_Tab(PC),A5
                subq.w  #1,@_Wait_Count(A5)
                beq.s   .Seq_Loop
                rts
.Seq_Loop:      movea.l @_Seq_PC(A5),A4
                movea.l (A4)+,A2
                move.l  A4,@_Seq_PC(A5)
                jsr     (A2)
                lea     _Proc_Tab(PC),A5    ;Someone 9O)+,$FFFFFA0F.w
            beq.s S0,_Pro2-e(A6)
  bsr.s   Run_Proc

                not.w       planc     sr.s   Run_Proc

      2, EVEN
             plan    bssr.s   Run_Proc
een+2(P   >PARTre 1 on Bitplane 1    ********
Initer:         >PART 'IPek:  lea     _SeqSavePek(PC),A2
       een+2(PC),$FFFF8203.w
         /CreC   d
            E
    0
 'VBL time"
                EVEN
           0  ENDPART

Run_Seq:        >                bsr     FindVar             ; out d0,a0
     

             
         
  bsr.s   Run_Proc

                Run_Proc
              lea     _Proc_Tab(PC),A5    ;Someone 9O)+,$FFFFFA0F.w
            beq.s S0,_Pro2-e(A6)
 out d0,a0
     

        avePek(PC),A2
       een+2(P   >   ,_SeqCompPek
.w
 $27C),Sab_Pek
                bsr                    ; d0= 0 if     Col #13,D0
        t_Cl (Aart I$00'VBL time"
                EVEN
              ENDPART

Run_Seq:        >q

*    moveq   #-1,D0
                .l  A4,@_Seq_PC(A5)
            Routine'
                movem.l D0-A6,-(A7)
  1  .Seq_Loop
                rts
.Seq_Loop:      movea.l @_Seq_PC(A5                     _DoingVBL-e(A6)
           movea.l (A41)
                bra.s   .NextLabel

.Lab_Er       move.l  A4,@_Seq_PC(A5)
                jsr             clr.b   $FFFFFA1B.w
.loop:          cmpi.b  #$39,$FFFFFC02.w
                bne.s                      _DoingVBL-e(A6)
           movea.l (A41)
                     move.l  A4,@_Seq_PC(A5)
                jsr             clr.b   $FFFFFA,A5    ;Someone 9O)+,$FFFFFA0F.w
                                  lea     _Pro,_Pro2-e(A6)
  bsr.s   Run_Proc

                not.w     sr.s   Run_Proc

      2, EVEN
         ek(PC),A2
       een+2(P   >q

* creat
* easy t4      bsr     GET_FRG_M    moveq          "Over VBL time"
           easy t4   _SP .Ne     pea     .GunText(PC)  lea     _SeqSavePek(PC),A2
       een+2(PC),A2
       d0= 0 if                
        t_C#14
  1
                move.l  (A1     EVEN
              ENDPART

Run_Seq:        >q
 +I    moveq   #-1,D0
                .l  A4,@_Seq_PC(A5)
            Routine'
                movem.l D0-A6,-(A7)
  3  .Seq_Loop
                rts
.Seq_Loop:      movea.l @_Seq_PC(A5                     _DoingVBL-e(A6)
           movea.l (A41)
                bra.s   .NextLabel

.Lab_Error:     illegal
                DC.B "Label in D0 was nev       bsr     FindVar     _SP1.Ne   ,eaning maximum of 4 bitplane-ef 2, EVEN
         ek@_Seq_PC(A5)
                jsr             clr.b   $FFFFFA,A5    ;Someone 9O)+,$FFFFFA0F.w
                                  lea     _Pro,_Pro2-e(A6)
  bsr.s   Run_Proc

                not.w     sr.s   Run_Proc
een+2(P   >q
 +INIT'
          4     move.l  #1024*4,D0(PC)  lea     _SeqSavePek(PC),A2
           move.l  (A5)+,-(A7)
                movea.l A7,A5
        sr.s   Run_Proc
een+2sr.s   Run_Proc
l (A7)+,D0- t_upNIT_MEMCONT             w PIT_M            move.l  (A1     EVEN
              ENDPART

Run_Seq:        >q
up A0,    moveq   #-1,D0
                .l  A4,@_Seq_PC(A5)
            Routine'
                movem.l D0-A6,-(A7)
     .Seq_Loop
                rts
.Seq_Loop:      movea.l @_Seq_PC(A5),A4
                movea.l (A4  back
                ENDPART
************************-ef 2, EVEN
         ek@_Seq_PC(A5)
                jsr             clr.b   $FFFFFA,A5    ;Someone 9O)+,$FFFFFA0F.w
        lea     _Pro,_Pro2-e(A6)
  bsr.s   Run_Proc

                not.w     sr.s   Run_Proc
een+2(P   >q
up A0,:
GetSeqSavePek:l D2Over VBL time"
           easy t4   D move.l  #1024*4,D0(PC)  lea  -         bsr.s   StupidChalegal
   0) bsr.s   Run_Proc

             :l D2Ov:         >PART 'IPek:  lea     _SeqSavePek(PC),A2
       een+2(PC),$FFFF8203.w
         /xeclanNIT_MEMCO       E
 w PIT_M            move.l  (A1     EVEN
              ENDPART

Run_Seq:        >l  A0,    moveq   #-1,D0
                .l  A4,@_Seq_PC(A5)
             2, EVEN
         ek(PC),A2
               Routine'
                movem.l D0-A6,-(A7)
   A5    ;Someone 9O)+,$FFFFFA0F.w
                                  lea     _Pro,_Pro2-e(A6)
 sr.s   Run_Proc

                not.w     sr.s   Run_Proc
een+2(P   >l  A0,:ve.l  (A1     EVEN:l D2Over VBL time"
          i)
  1 2-D7/A2-A6
                rte
    a      lea     _Pro,_Pro2-e(4   move.l  _D_Screen(PC),D1
        :l D2Ov:         >PART 'Ih a * a   ar of VBL's (dec)
* 
                bhi.s   .HEX_EA1    _SeqSavePek(PC),A2
       een+2(PC),A2
       d0= 0 if f f ve      t              me   a        beq.s   .NewL2
                  l     :        >PART 'Start SEQ'
            move.l  D1e a one VBHngVBL-e(A6)
       e(A6)
  3.l  #@Seq_Max_Size,D0
is no pr   t  and.1xtLabel

.Lab_Error:                 move.b  0(A1,D1.w)        : :        >PART 'Start SEQ'
2            move.l  D1e a one VBHngVBL-e(A6)
       #255,D1
2           move.b  0(A1,D DC.B              moveq   #-1,D0
             _SP .N        dbra    D2,.ToDecC),A0
     t  and.ve.l  @_SeqSavePek,(A0)   ;        : :        >PART 'Sture on Scree               >PART 'Sth a *    t  and.1              DC.W FindEnd-T8            no   ld.
    
                     ENDPART
     t  and.v              DC.W FindEnd-T8      D  bsr.sa     l   tar                      ENDPART
                >PART 'SeqWbsr    t              te Stack
         l  @_SeqSavePek,(A0)   ;#   bsr      :        >PART 'Start SEQ'
            move.l  D1e a one VBHngVBL-e(A6)
       e(A6)
  3.l  #@Seq_Max_Size,D0
is no prWbsr  and.1xtLabel

.Lab_Error:                 move.b  0(A1,D1.w)        :        move.l  D1e a onecree               >PART 'Sth a * Wbsr  and.1              DC.W FindEnd-T8            no   ld.
    
                     ENDPART
                >PART 'Seq       en
                E#14
  1
                move.l  (A1   ;#            :        >PART 'Start SEQ'
2            move.l  D1e a one VBHngVBL-e(A6)
       A1,D DC.B l in D0 wa   moveq   #-1,D0
     #255,D1
2           move.b  0(A1,D    _SP .N        dbra    D2,.ToDecC),A0
      l   and.1xtLabel

.Lab_Er(A0)   ;        :        move.l  D1e a onecree               >PART 'Sth a *     l   and.1:           DC.W FindEnd-T8            p
      Deh     A1)+    art              ENDPART
                >PART 'SeqFa  d
                Fa  cC)twMEM
two p
s            move.l  (A1   ;# _Seq_P     :        move.l  D     2:        >PART 'Start SEQ'
2            move.l  D1e a one VBHngVBL-e(A6)
       A1,D DC.B l in D0 wa   moveq   #-1,D0
     #255,D1
2           move.b  0(A1,D    _SP .N        dbra    D2,.ToDecC),A0
  Fa    and.1xtLabel

.Lab_Er(A0)   ;        :        move.l  DalTab_Pek
           art SEQ'
2            move.l  D1e a one VBHngVBL-e(A6)
       A1,D1.w)        :        move.l  D1e a onecree               >PART 'Sth a * Fa    and.1              DC.W FindEnd-T8            p
      Deh     A1)+    art              ENDPART
                >PART 'Seq    blo.s                D0,DFdoin'         move.l  D1e a one VBA0,A3
VBL-e(A6)
       A1,D DC.B hexadecimal +4    moveq   #-1,D0
                     ; out d0,a0
     

      5      ; out d0,a0
     

        B hexadecimal +4:        move.l  D1e a onecree               >PART 'Sth a *               >PART 'SeqGM
                   GM
            move.l  (A1   ;#'EM
'      :        move.l  D1e a one VBA0,A3
VBL-e(A6)
       A1,D DC.B hexa nothing+4    moveq   #-1,D0
                     ; out d0,a0
     

      5      ; out d0,a0
     

        B hexa nothing+4VBL-e(A6)
       e            :        move.l  D1e a onecree               >PART 'Sth a *               >PART 'SeqGMTab_Pek

           GMTab            move.l  (A1   ;#'EMsb'      :        move.l  D1e a one VBA0,A3
VBL-e(A6)
       A1,D DC.B hexa nothing+4    moveq   #-1,D0
                     ; out d0,a0
     

      5      ; out d0,a0
     e            :        move.l  D

        B hexa nothing+4VBL-e(A6)
       1e a onecree               >PART 'Sth a *               >PART 'SeqRL processin           RL pro            move.l  (A1   ;#'EL p',     :        move.l  D1e a onecree               >PART 'Sth a *               >PART 'SeqLabelAddr_Pek(PC),A1
.PAR  _cng Z:           E
  _cng Z'; out d0,a0
     e   ovea.l A7,A5
                b         EVEN
           0  ENDPART

Run_Seq:        >                bsr     FindVar             ; out d0,a0
     

             
         
        >PART 'Sth a *               >PART 'SeqbelAddr_Pek(PC),A1
.    _NEO    EMCO            NEO P      bC  0
 'VBL time"
                   3  .Seq_Lb_Pek
           art SEQ'
2            move.l  D1e a one VBHngVBL-e(A6)
       A1,D1      D4-e(A6)
       ; D4=r           C.W 0
              #255,D1
2  4         move.l  D1e a one VBHngVBL-e(A6)
       A1,D1.w)   D5-e(A6)
       ; D5= p
        C.W 0
              #255,D1
2  5:        >PART 'Start SEQ'
            move.l  D1e a one VBHngVBL-e(A6)
       A1,D1      D6-e(A6)
       ; D #$0m       ENDPART

Run_Seq:     -80.Seq6)
 sr.s   Run_Proc

       DC VBL time"
               Labe3-e(A6)
       ; a3       DC bnesr rom pa       move.l  D1e a one VBFsr rom pa       move.l  D (A1   ;#32128     movea.l _LabelAddr_Pek(PC),A1
                bsr     FR.l _LabelJump_Pek(PC),A1
         DC bnl   tar               bsr     FR.l _L3         ; Size
                bsr     FREE_FRG_MEM
eq:     80.Seq6)
 :        >PART 'Start SEQ'
       movea.l _LabelAddr_Pek(PC),A1
                bsr     FR DC.B l in D0 wa   mo       ; Size
       move._SP1.N5     pea     .GunText ; Free D0
o  and.1xtLabel

.Lab_Er(A0)   ;Lab_SP1.N5     pea     .GunTexteq:     4         GET_FRG_MEM
                bsr     CLEAR_MEM
  1     0  :        move.l  DalTab_Pek
           01, not 1)8         VBL-e(A6)
       e(A6)
  0            move.l  D1,_k at
 EOOneBplVBL-e(A6)
       e(A6)
  1            move.l  D1,_k at
 EOFdorBplVBL-e(A6)
                 DC.W FindEnd-T8        known NEO h
  A0m                  ENDPART
   EOOneBpl:pa       move.l  D (A1   ;#80       movea.l _LabelAddr_Pek(PC),A1
                bsr     FR DC.Labe3-e(A6)
       ; a3                      bsr     FR,A1
    0        beq.s   .godis
         Draw Picture 1 on Bitplane 1
#399 only t0
o1C
  :on Bitplane 1
       0  :        move.l  D    movea.l 2:        >PART 'St201.w
  0,t0
o1C
    movea.l _LabelAddb   #9,DMe      
 EOFdorBpl:l  D (A1   ;#320       movea.l _LabelAddr_Pek(PC),A1
                bsr     FR DC.Labe3-e(A6)
       ; a3                      bsr     FR,A1
3   0        beq.s   .godis
         Draw Picture 1 on Bitplane 1
#799 only t0
o4C
  :on Bitplanel(meanin   0  :        move.l  D201.w
  0,t0
o4C
    y tMe  :    bsr     FR DC.B              moveq   #-1,D0
        move._SP0  4     pea     .GunText ;   #9,D0
o  and.ve.l  @_SeqSavePek,(A0)   ;L3 _SP0  4     VBL time"
                    move.3  movea.l _LabelAddr_ts Getree               >PART 'Sth a *y t0
o  and.1               DC.W FindEnd-T8      1
     q
C.W   mehe end otwic                ENDPART
   
o  and.v               DC.W FindEnd-T8      1      bl   tar.W   mehe end otwic                ENDPART
             ENDPAART 'SeqbelAddr_Pek(PC),A1
. DC.W       EMCONT       D2/A bnC  0
  E
 ;'         move.l  D1e a one VBADC.W SetSeqComPek-T8
   0   1.W;'.l  #@Seq_Max_Size,D0
                            cmp.w   #h a *             :            DC.W FindEnd-T8      ark        l)+,D Dehack;                ENDPART
             ENDPAART 'Seq VBFsr rom :CONT       D2/Aanesr rom 'VBL time"
                7  jsr     (A2)
    IN
_       DC      rom     mo         move.l  D1e a one VBADC.     (A2)
    e.l  D1an    dW SetSeqComPek-T8
   0   1.W"'.l  #@Seq_Max_Size,D0
         #3m when j  #3      rts
GetSt:    4 memory controler
       0   1.W"'.l  #@Seq_Max_Size,D0
,_k at
  #3m
VBL-e(A6)
       A1,D0           ; out d0,a0
     .b   #9,D0 #3    n j  #3(PC),D0
   d0=-1 i     ; out d0,a0
     

 r
                  >PART 'Sth a *y t0 #3m whew   #$000F,D0
                or.w 'Fsr rom END.l (A "
        '              ENDPART
             ENDPAART 'Seq VBHngcessin           D2/AHng
       s'VBL time"
                5-D6  jsr     (A2)
  IN
VENe end ow P
        s:        >PART 'Start SEQ'
0 D5-e(A6)
       ; 1 i 2 nortarly)VBL time"
           3   Draw6-e(A6)
       ; OUT d7=inghe end  * aexIT_MEMCONTL #255used"4  5:        >PART 'St1e a one VBADC.W SetSeqComPek-T8
   0   1.W0'.l  #@Seq_Max_Size,D0
        er 2 the next vbl would give:
*       #@Seq_Max_Size,D0
 ure 1 on Biane 1
*                 Draw Pictur  #@Seq_Max_Size,D0
        er 2 the next vbl would give:
* F     #@Seq_Max_Size,D0
 ure 1 on B drawing2VBL-e(A6)
       e(A6)
  aw Pi  #@Seq_Max_Size,D0
 t      er 2 the next vbl would give:
* f'.l  #@Seq_Max_Size,D0
is no prm when just drawingv   tures, as on7y two h
* to be be uncrunched at V  #@Seq_Max_Size,D0 + copyin7  5:        >PART 'St201.w
  6, aexIT_M:        >PART 'StexgT 'StD5,,-(A7)
                move       5-D6         cmp.w   #h a * m whew   #$$$$$o the end of the line.
*
* A remark line can start at the end                ENDPART
             ENDPAART 'Seq VBC  0
 EMCONT       D2/Aa GE
       0
 'VBL time"
                6  jsr     (A2)
        D7=c0,A3
VBL-e(A6)
       
          ADC.W SetSeqComPek-T8
exgT 'StD7            move.l  D1e         ADC.W SetSeqComPek-T8
   5used"8            move.l  DA1,D0                 move.l  D1e         ADC.W SetSeqComPek-T8
   5used"8            move.l  DA1,D0                 move.l  D1e         ADC.W SetSeqComPek-T8
   5used"8            move.l  DA1,D0                 move.l  DexgT 'StD6,,-(A7)
                move       6         >PART 'Sth a *               >PART 'SeqGe0
                  D2/Aa 
        '              ENDPGetSt:    4 memory controler
       0   1.W*'.l  #@Seq_Max_Size,D0
,_k at
 'TIT_M:        >PART 'St1e      D   mADC.W SetSeqComPek-T8

,_k at
   ADC.W SetSeqComPek-T8
  a *  'TIT_M:r
       l (A7)+,D2-47/A2-A6
                rte
 'TIT_M:        >PART 'St           _L)+,; out d0,a0
     .b   #9,   ADC.W SetSeqComPek-T8
PART 'SeqD   mADC.
             Is C         a d   m 
   ?'ry controler
       0   1.32.l  #@Seq_Max_Size,D0
,_k at
Yesry controler
       0   1.13.l  #@Seq_Max_Size,D0
,_k at
 ewLry controler
       0   1.10.l  #@Seq_Max_Size,D0
,_k at
Yesry controler
       0   1.9.l  #@Seq_Max_Size,D0
,_k at
Yesry controler
       0   1.','.l  #@Seq_Max_Size,D0
,_k at
Yesry controler
    Pek
.w
 0,CCRW SetSeqComPek-T8
  a *  ewL:    bsr              _L)+,; 
Yes:roler
    Pek
.w
 4,CCRW SetSeqComPek-T8
  a *SetSeqComPek-T8
d0= 0 if f f SetSeqComPek-T8
      m A T A   T A B E L S7)
 5)+,A0
   :roleDS* A32*8
 5)+,A0
  2:roleDS* A32*8
 5B   Tasks:rolerDS*LA32*8
 
 5        2,D0
  S.W 1 cmp.b      :rolerDS*LA1 cmp.b  ore2,D0
  S.LA1 cmDr   mov
 
 5 not desv
 
 5      not.:0
  S.LA1                      ;)
 _     DC.W 0

  S.LA1                      ;)4
 _  A7,A5
2,D0
    W                        ;)    0=E
 s SEc   i1)+g Z
 _L)+,:roler
      W 2                      ;)1
 _   lea   :
      W 6
 0                  ;)12
 _   rts
          W 1                      ;)14
 _ l in D0 w0

  S.LA1                      ;)16
 _          0

  S.LA1                      ;)18
 5       d1:rolerDS*LA6                      ;)24
 _ hexa nothing:  S.LA1                      ;)4        bsr     CLE S.LA1                      ;)52
 _ hexadecimal :  S.LA1                      ;)56       bsr     CLE S.LA1                      ;)6
 _Var       0

  S.LA1
 
         not.

 EQU            -5 not des
        DC.W 

 EQU       DC.W -5 not des
     A7,A5
      EQU    A7,A5
-5 not des
   L)+,          EQU  L)+,-5 not des
      lea        EQU     lea   -5 not des
    l in D0 w    EQU   l in D0 w-5 not des
                 EQU            -5 not des
          d1     EQU         d1-5 not des
   Lhexa nothing EQU  Lhexa nothing-5 not des
   Lhexadecimal  EQU  Lhexadecimal -5 not des
   Var           EQU  Var       -5 not tes
 )
 5)+,A desv
 
 5        :   CLE S.LA1                      ;)
 _D       :   CLE S.LA1                      ;)4
 __C_**
In:rolerDS*W 1                      ;)8 cmp.b PC:     CLE S.LA1                      ;)10 cmp.b  P:     CLE S.LA1                      ;)14
 5)+,1:sr     CLE S.LA1                      ;)18
 5)+,2:sr     CLE S.LA1                      ;)22
 5B   grdoin0

  S.LA1                      ;)26
 _R

   #13,D0
 S.LA1                      ;)30 cm******
In0

    W 1                      ;)30 cm        2,D0
  S.W 16                     ;)32
 )
 @5              EQU           5)+,A des
 @5D             EQU  D        5)+,A des
 @5_C_**
In     EQU  _C_**
In 5)+,A des
 @5p.b PC        EQU         5)+,A des
 @5p.b SP        EQU         5)+,A des
 @5  mov         EQU       5)+,A des
 @5  m2v         EQU     2 5)+,A des
 @5B   grdoin    EQU  B   grdoin 5)+,A des
 @5R

          EQU  R

   5)+,A des
 @5******
In    EQU   *****
In 5)+,A des
 @5              EQU           5)+,A des
  *SetSeqComPek-T8
d0= 0 if SetSeqComPek-T8
        not TlegaS7)
 .z01:sr     CLE*
* A d0=and.l  .w01:sr     CLE*
* A STACK_SIZEand.l.w02:sr     CLE*
* A LOAD_NEOand.l.w03:sr     CLE*
* A DEFINE_PALand.l.w04:sr     CLE*
* A SPEE=and.l  .e01:sr     CLE*
* A WAITand.l.e02:sr     CLE*
* A l  A0,(and.l.e03:sr     CLE*
* A WIP(and.l.e04:sr     CLE*
* A S),ACOLORand.l.e05:sr     CLE*
* A S),APALand.l.e06:sr     CLE*
* A FADEAPALand.l.e07:sr     CLE*
* A    EATand.l.e08:sr     CLE*
* A d0=_   EATand.l.e09:sr     CLE*
* A Llegaand.l.e10:sr     CLE*
* A GOTOand.l.e11:sr     CLE*
* A GOSUBand.l.e12:sr     CLE*
* A   A0,Nand.l.e13:sr     CLE*
* A d0=_ALLand.l   move.l      2,D0
    L .z01,PAR  _cng Znd of the line.
*
*L .w01,     rts
,.w02,    _NEO    nd of the line.
*
*L .w03.lot_Sam:  ,.w04,       rtnd of the line.
*
*L .e01, ***,.e02,ve      t,.e03,Wbsr    tnd of the line.
*
*L .e04,    Col,.e05,       ,.e06,Fa  nd of the line.
*
*L .e07, t_upNIT_M,.e08,/xeclanNIT_Mnd of the line.
*
*L .e09,Lhexa,.e10,GM
,.e11,GMTabnd of the line.
*
*L .e12,RL pro,.e13,/CreC   nd of the line.
*
*L 0 *SetSeqComPek-T8
d0= 0 if f     bsr d
                 bsr r
.ContErr*.La= A     DC bnl   C.W 0*.L1= A     DC bnesr  rom pa       move.l  D (A1             DC.B            bsr     FR DC.Labe6; out d0,a0
     e   ovea         movem.l D0-A6,-(A7)               movem.l D0-A6,-(A7)
      D5    ;Someone 9O)+,$FFFFFA0F.w
 1:        move.l  D    movea.l (A4)+,A2
                movel  #@Seq_Max_Size,D0
mimove.w  ad  and.1xt    movem.l D0-A6,-(A7)         DC.B "Unexcpected chpStackSiz0Fts    VBL-e(A6)
       A1,D1.w)            movem.l D0-A6,-(A7)
      F5    ;Someone 9O)+,$FFFFFA0F.w
 1:        move.l  D01, not 1).Seq6)
 sr.s   Run_Proc
estroys d2,d3
GetHexNr:     mimove.w  ad  and.2A4  back
                END           movem.l D0-A6,-(A7)
      E5    ;Someone 9O)+,$FFFFFA0F.w
 1:        move.l  D    movea46)
 sr.s   Run_Proc
estroys d2,d3
GetHexNr:     mimove.w  ad  and.2A4  back
                       move.l  (A7)+,D0
        s     ad  and.1              DC.W FindEnd-T8       and. Ope+    esr , nr d2               ENDPART
    ad  and.2              DC.W FindEnd-T8       and. 
  d    esr , nr d2               ENDPART
             ENDPA0= 0 if dummy char

**************** 22

* expexpec** ENDP   ORY CONTROLER   31/10-91)i 26/12-91f dummy char

**************** 22

* expexpecMAX    1
  ENDPAQU 64
 C),A1
    :CONT       D2/AMemHEXomHEXagm#14 Ld.
Err*.Ne LONT= Am
Inrr*.O   PAR=A     DC bnmemory   suNOTE:CO*.Llwayst ak fd.    n e end ow Pbytesry*     ENDP* This is a qu   CountEc nsum    r.Con,-D7,$FXomH   >    if   sub.l   _SeountEis a e.w
 um.A4  back
                  D1/ 5-D   1/A5       DC.B "Unexcpected ch  FR DC.   >Tle_PEKn data field"
          -(A7)
  MAX    1
    7    ENDPART

Run_Seq:     -1
  5-e(A6)
     ; A     DCon.   >TleC bnb
** fdu
VBL-e(A6)
       A1,D0ovea$7Fts    aw6-e(A6)
;T

ow Pb
** fdu
VB * FINDSUIT  rts
GetSeqSa                    bhi.s   .HEX_E               ble.s   .Gotmimove.wNICHTry controler
       0  move.l1               
  ig   ough? #@Seq_Max_Size,D0
 t      NICHTry controler
       0  mov6.l1               
 Starld oth
 oldPb
**? #@Seq_Max_Size,D0
ge      NICHTry controler
    A1,D1    1            move.l  Deq:     -8          NICHT:sr     CL201.w
      INDSUIT  VBL-e(A6)
       e(Aa.            lea     _LabelAd,_k at
 OFRA      ; C controler
    A1,D    bsr moveq   #-1,D0
             4bsr mmory controler
       0l
                 blt.s   .HEX_ErrCHGA1
VBL-e(A6)
       A1,D0ovea-1,                
 1
 reA1,DdVBL-e(A6)
       A1,D0ovea-1,4iter:         >PART 'Inb   #9,DM  >DONE *  HGA1
  move.l  #-1,$FFFF                 
 1igheew 1
VBL-e(A6)
       ture  move.iter:         >PART 'ITab.  move.l  #@Seq_Max_Size,D0A1,D1      4iter:         >PART 'Inb   #9,DM  >DONE *   NOFRA       moveq:        >               addq.l  #6,A7

      ENDPAR            
 D2/AnortarnmemVBL-e(A6)
       ture  move.iter: y tM  >DONE  rts
GetS         mo1/ 5-D   1/A5   W SetSeqComPek-T8
  a *SetSeqComPek-T8
d0= 0 if FREEA1
    :CON       F   AMemH
  p   F_Uon.1
 tesErr*.La=      A     Drr*.Ne=LenPAR   sub.lNOTE:CO*.On.w f   A   n e end ow Pbytesry*     ENDP DP* This r
.Cont eatseount!, d Z't reeq:Stamemory in ydor IRQ's!A4  back
                  D        DC.B            bsr     FR DC.   >Tle_PEKn data field"
          -(A7)
  MAX    1
    7      IND_FREEA1
:    move.     move.w  #21,-(A7)
ze(k at
 OT_FREEA1
    movem.l D0-A6,-(A7)    e.ittRemark:     move.w  D2,-(A7)0,     move.w  #21,-(A7)
ze      CLEANA1
 Tle:         >PART 'Inb   #9,DFREEADONE *  OT_FREEA1
: D    movea.l ***********
Switch:         >P IND_FREEA1
VBL-e(A6)
                    REEADONE:rts
GetS         mo    W SetSeqComPek-T8
  a *SetSeqComPek-T8
d0= 0 if CLEANA1
 Tle:ON       Ceq:n up.1
 tesErr*.This r.Conts     s diff   n,$FXagm#14g Zsoth
/Aa   arlyEisrr*.   E
  l)+ksothemHtoD7,   . I/Aalso 
    s if$FXagm#14tarmemory isrr*.d
 ce.w l)+ktar bn   >    
  ,  nFFA0nsfa    ,  rmemory  bne   Amum.A4* (th
/Ais memory abek
.   >   )rr*.This r
.Cont is carldd$FXomHFREEA1
     
  ,  rebyD Dll ,  r   >Tlerr*.alwayst1anceq:n.A4  back
              movea.l 1/ 6- 1/A4       DC.B "Unexcpected ch  FR DC.   >Tle_PEKn datal _SeqSavePek(PC),A0
     a    W field"
          -(A7)
  MAX    1
    7  .LX_1:    bsr     FR DC.       0            bhi.s   .HEX_E       2,d3
GetHexNr:     mimove.w Y_1A41)
                ba-(A7)0,A0  VBL-e(A6)
       e(Aa.      >         AR     ;AMemory ju** exaowAMem_m
VBL-e(A6)
       
        OT_   >   VBL-e(A6)
       A1,D0ovea-1,-8ittRemark:     move.w  D2,-(A7a-1,-4           beq.s   .godis
      >               addq.l  #6,A7Tab.  move.iter: y  *  OT_   >   :),A0
     a   5field"
          -(A7)
  MAX    1
    6  .LX_2:    bsr     FR DC.  5                 bhi.s   .HEX_E  5            ble.s   .Gotmimove.w Y_2  VBL-e(A6)
       e(Aa.   A    move.l  _D_Screen(
        Y_2  VBL-e(A6)
        D2,-(A7a-1,-               ;DFdoin a l)+kVBL-e(A6)
        D2,-(A7a-1,-    VBL-e(A6)
       ture  mov1,-  6)VBL time"
           3ovea46)6:         >PART 'Inb   #9,DLX_1y  *  Y_2:    bsr   201.w
  6, LX_2 *  Y_1:    bsr   201.w
  7,DLX_1y  *  back
                       move 1/ 6- 1/A4   W SetSeqComPek-T8
  a *SetSeqComPek-T8
d0= 0 if INITA1
    :CON        notHEXamgm#14 MemHTesErr*.This     t  ,  rFXagm#14tarmemory mapA4  back
              movea6-D        DC.Bback
               DC.   >Tle_PEKn data field"
          -(A7)
  MAX    1
    7  eld"
          -(A7.SEQ",0
  * IN      mov     D2,-(A7.b  _6  lea     _D_Screen(PC),A6
 b  _6  lea     _D_Screen(201.w
  7,DIN     *  back
                       mo6-D    W SetSeqComPek-T8
  a *SetSeqComPek-T8
d0= 0 if INITA   CONTL:ON        notHMemory Cont   d on da'       beq.s   .godis
      >Tle_PEKn data0       beq.s   .godis
      >Tle             bsr     FindVar                   beq.s   .godis
      >         0       beq.s   .godis
      ORY             bsr     FindVar                   beq.s   .go  a *SetSeqComPek-T8
d0= 0 if CLEAR      mov         Ceq:  a Grab memory a
  Err*.Call , is.d
 ce.w af  CC),A1
      bnabtain anceq:n mem a
    back
              movea./    jsr             clr.b lsr6)
  1  0VBL time"
           3   Draw2,d3
GetHexNr:     mimove.wSFA0nge *  'nsar of VBL'se   ovea  0  :        move.l  D201.w
  0,t 'nsa *  FA0nge:           move     mov/ 0       beq.s   .go  a *SetSeqComPek-T8
d0= 0 if    >Tle_PEK0

  S.LA1
    >   :),A 

  S.LA1
 SetSeqComPek-T8
BSSf    >Tle:),A 

  S.B MAX    1
*8
    ORYs
        S.B 500*1024
  *SetSeqComPek-T8
d0=C *SetSeqComPek-T8
d0=
