                >PART 'Programmers guide'

* 126930  421127   Skivhugget!

* ta bort PicTab_Pek & PalTab_Pek



* vid MODULE kommandot
*     Inga Address/Data register r frsatta
*
* vid COMPILERING
*     A3=Address to start of routine which has been called
*     A5=_InitTab
*
* vid PROCESS RUNNING
*     A4=Current Seq_PC
*     A5=_Proc_Tab

* vid INTERRUPT RUNNING
*     A4=Data tab (multiproccess tab)
*     A5=_Proc_Tab


                ENDPART
                OPT P-
                PATH 'A:\'
@Editor         EQU 0
@Seq_Max_Size   EQU 64*1024
                IF @Editor=1
                >PART 'RUN_EDITOR'
                movea.l A7,A5
                lea     $0007FFF0,A7
                movea.l 4(A5),A5
                move.l  $000C(A5),D0
                add.l   $0014(A5),D0
                add.l   $001C(A5),D0
                add.l   #$00000100,D0
                move.l  D0,-(A7)
                move.l  A5,-(A7)
                move.w  #0,-(A7)
                move.w  #$004A,-(A7)
                trap    #1
                adda.l  #12,A7

                pea     _Nulls(PC)
                pea     _ComLine(PC)
                pea     _Editor(PC)
                clr.w   -(A7)
                move.w  #$004B,-(A7)
                trap    #1
                lea     16(A7),A7
                clr.w   -(A7)
                trap    #1

_ComLine:       DC.B " OMEGA.SEQ"
_Nulls:         DC.B 0,0
_Editor:        DC.B "K:\STEDI\STEDI.PRG"
                EVEN
                ENDPART
                ELSE


                >PART 'CALL SUPER PART'
                pea     begin(PC)
                move.w  #38,-(A7)
                trap    #14
                addq.l  #6,A7
                clr.w   -(A7)
                trap    #1
                rts
                ENDPART
begin:          >PART 'SAVE REGISTERS'
****************************************
**   S A V E    R E G I S T E R S
****************************************
                lea     savetab(PC),A6
                move.l  A7,(A6)+
                move.l  $00000070.w,(A6)+
                move.l  $000000A0.w,(A6)+
                move.l  $00000120.w,(A6)+
                move.b  $FFFFFA07.w,(A6)+
                move.b  $FFFFFA09.w,(A6)+
                move.b  $FFFFFA0F.w,(A6)+
                move.b  $FFFFFA11.w,(A6)+
                move.b  $FFFFFA13.w,(A6)+
                move.b  $FFFFFA15.w,(A6)+
                move.l  $00000068.w,(A6)+
                move.l  $00000070.w,(A6)+
                move.l  $000000A0.w,(A6)+
                move.l  $00000118.w,(A6)+
                move.l  $00000120.w,(A6)+
                move.w  #4,-(A7)
                trap    #14
                move.w  D0,(A6)+
                move.w  #2,-(A7)
                trap    #14
                move.l  D0,(A6)+
                movem.l $FFFF8240.w,D0-D7
                movem.l D0-D7,(A6)
                lea     32(A6),A6
                bra.s   startup
                ENDPART
back:           >PART 'RESTORE AND RTS'
******************************************
*** R E S T O R E   E V E R Y T H I N G
******************************************
                move    #$2700,SR
                lea     savetab(PC),A6
                movea.l (A6)+,A7
                move.l  (A6)+,$00000070.w
                move.l  (A6)+,$000000A0.w
                move.l  (A6)+,$00000120.w
                move.b  (A6)+,$FFFFFA07.w
                move.b  (A6)+,$FFFFFA09.w
                move.b  (A6)+,$FFFFFA0F.w
                move.b  (A6)+,$FFFFFA11.w
                move.b  (A6)+,$FFFFFA13.w
                move.b  (A6)+,$FFFFFA15.w
                move.l  (A6)+,$00000068.w
                move.l  (A6)+,$00000070.w
                move.l  (A6)+,$00000118.w
                move.l  (A6)+,$00000120.w
                move.w  (A6)+,-(A7)
                move.l  (A6),-(A7)
                move.l  (A6)+,-(A7)
                move.w  #5,-(A7)
                trap    #14
                lea     12(A7),A7
                movem.l (A6)+,D0-D7
                movem.l D0-D7,$FFFF8240.w
                rts
                ENDPART
startup:        >PART 'Init'
                bsr     Initer
s:              lea     s(PC),A6
                move    #$2700,SR
                lea     Vbl(PC),A0
                move.l  A0,$00000070.w
                lea     TimerB(PC),A0
                move.l  A0,$00000120.w
                move.b  #0,$FFFFFA07.w
                move.b  #0,$FFFFFA09.w
                move.b  #0,$FFFFFA13.w
                move.b  #0,$FFFFFA15.w
                move.b  #1,$FFFFFA13.w
                move.b  #1,$FFFFFA07.w
                move    #$2300,SR

                move.b  #0,$FFFF8260.w
                bsr.s   Vsync
                move.b  #0,$FFFF820A.w
                bsr.s   Vsync
                bsr.s   Vsync
                move.b  #2,$FFFF820A.w

                ENDPART
                bra     Starter
Vsync:          >PART 'Vsync'
                tst.w   VblFlag-s(A6)
                beq.s   Vsync
                clr.w   VblFlag-s(A6)
                rts
                ENDPART
TimerB:         >PART 'Raster Irq'
                eori.w  #$0630,$FFFF8240.w
                bclr    #0,$FFFFFA0F.w
                rte
                ENDPART
Vbl:            >PART 'VBL Irq'
                addq.w  #1,VblFlag-s(A6)
                cmpi.b  #$39,$FFFFFC02.w
                beq     back
                rte
                ENDPART
VblFlag:        DS.W 1
savetab:        DS.L 64

ERROR:          >PART 'Error Handel'
                move.w  _Line(PC),D0
                lea     .Digs(PC),A1
                lea     .Hurmp(PC),A2
                moveq   #3,D2
.ToDec:         rol.w   #4,D0
                move.w  D0,D1
                and.w   #$000F,D1
                move.b  0(A1,D1.w),(A2)+
                dbra    D2,.ToDec

                pea     .GunText(PC)
                move.w  #9,-(A7)
                trap    #1
                move.w  #7,-(A7)
                trap    #1
                addq.l  #2,A7

                bra     back

.Digs:          DC.B "0123456789ABCDEF"
.GunText:       DC.B 27,"E"
                DC.B "Error at line "
.Hurmp:         DC.B "....!",0
                EVEN
                ENDPART


PictRout:       >PART 'Draw Pic rout'
P:
                lea     P(PC),A6
                pea     _ComName(PC)
                pea     Initizer(PC)
                move.w  #32,-(A7)
                trap    #8
                addq.l  #8,A7

                move.w  #33,-(A7)
                trap    #8
                addq.l  #2,A7

                move.l  A0,-(A7)
                move.w  #21,-(A7)
                trap    #8
                addq.l  #6,A7
                cmp.b   #";",D0
                bne.s   .Fucking_Fel

                move.l  A0,-(A7)
                move.w  #34,-(A7)
                trap    #8
                addq.l  #6,A7

                rts
.Fucking_Fel:   illegal
                DC.B "Error in PICTURE DISPLAY MODULE command "
                EVEN
_ComName:       DC.B "DRAW_PIC",0
                EVEN
Initizer:       move.l  #35,-(A7)
                trap    #8
                addq.l  #2,A7
                movea.l A0,A2               ; a2=Save buf

                lea     SplatHim(PC),A0
                move.l  A0,(A2)+

                move.l  #33,-(A7)
                trap    #8
                addq.l  #2,A7
                movea.l A0,A3               ; a3=Get from buf

                move.l  A3,-(A7)
                move.w  #2,-(A7)
                move.w  #17,-(A7)
                trap    #8
                addq.w  #8,A7
                movea.l A0,A3
                add.w   D0,D0
                move.w  D0,(A2)+            ; bpl offset

                move.l  A3,-(A7)
                move.w  #2,-(A7)
                move.w  #17,-(A7)
                trap    #8
                addq.w  #8,A7
                movea.l A0,A3
                add.w   D0,D0
                add.w   D0,D0
                move.w  D0,(A2)+            ; Bild offset

                move.l  A3,-(A7)
                move.w  #34,-(A7)
                trap    #8
                addq.l  #6,A7               ; Save SeqComp

                move.l  A2,-(A7)
                move.w  #36,-(A7)
                trap    #8
                addq.l  #6,A7               ; Save SeqSave

                rts
SplatHim:
                ENDPART


                >PART 'INFO TEXT'
*  Video, sequenser language v 1.0
*
*
*   #INI          Start Init section

*   STAC XXXX     Size of Sequenser Stack.. Default is $0200 =512 Bytes
*   _NEO XX YY Z "FIL"
*                 Load neochrome picture to pic XX. Pal will be saved at ZZ
*                 If Z=0 then it's a 1 bitplane picture, if Z=1 then
*                 it's a 4 bitplane picture. "FIL" is the name of the
*                 picture, including path ect.
*   PALE XX,aaa,bbb..  Define a palete. (if you don't enter 16 values,
*                 the last entered will be used to fill the others with.)

*   #SEQ          Start Sequenser section

*   WAIT XX       Wait nr of VBL's (dec)
*   PICT Z XX     Put Picture on Screen (Bitplane Z (0-3)) (hex)
*   WIPE Z        Erases a entire bitplane
*   >COL Y,RGB    (Y=color nr)   RGB=0-F       All in hex!
*   FADE XX,YY,ZZ Fade colors, from pal XX to YY using ZZ vbl's
*   >PAL ZZ       Set pal. ZZ.

*   S_LP XX       Start of a loop (which will loop XX times (dec))
*   LOOP          Execute Loop

*   LAB: XXXX     A label, XXXX can be anything(ASCII, writable)
*   GOTO XXXX     Goto label XXXX and continue sequense there
*   GOSB XXXX     Gosub a label (goto but returns when a "RETU" is found)
*   RETU          Return from a GOSB
*   <END          Ends sequenser.. this command is always included as the
*                 last command, so you only have to use it if you wish to
*                 end in sub-routine or something like that.
*
*  #END           End of file, (everything coming after is REMARK lines)

* Always use correct number of digits (like 01, not 1)
* Use upper charceters where it is said you should.
*
* All commands effecting screen/colors will take place at the NEXT vbl..
* but they are executed at a ghost screen during THIS vbl. This don't has
* to be keept in mind (mostly).  The result of this is that everything you
* do concerning a bitplane has to be done again the next frame (exception
* is if you draw a new picture on same bitplane every VBL) to avoid flickering.
* This means.. If you draw 3 picture on different bitplanes during a 3VBL time
* period (drawing 1 plane at the time) the computer will have to work like
* this:   VBL 1   Draw Picture 1 on Bitplane 1
*         VBL 2   Draw Picture 1 on Bitplane 1
*                 Draw Picture 2 on Bitplane 2
*         VBL 3   Draw Picture 2 on Bitplane 2
*                 Draw Picture 3 on Bitplane 3
*         VBL 4   Draw Picture 3 on Bitplane 3
* This is why I limit the bitplane use to ONE process per bitplane at ONE
* VBL (meaning maximum of 4 bitplane-effecting proccesses (with a few
* complicated exception if REALLY neccessary)) so that the PROGRAM WILL
* AVOID doing like this when drawing 3 pics at same bitplane.
*         VBL 1   Draw Picture 1 on Bitplane 1
*         VBL 2   Draw Picture 1 on Bitplane 1
*                 Draw Picture 2 on Bitplane 1
*         VBL 3   Draw Picture 2 on Bitplane 1
*                 Draw Picture 3 on Bitplane 1
*         VBL 4   Draw Picture 3 on Bitplane 1
* But instead do like this
*         VBL 1   Draw Picture 1 on Bitplane 1
*         VBL 2   Draw Picture 2 on Bitplane 1
*         VBL 3   Draw Picture 3 on Bitplane 1
*         VBL 4   Draw Picture 3 on Bitplane 1
* Working like this means that you only have to CONSIDER that what takes
* time a one VBL may take time at the next VBL too if you don't reuse the
* same bitplanes again. (Meaning that Updating 2 bitplanes at VBL 1 and the
* other 2 the next vbl would give:
*         VBL 1   Draw Picture 1 on Bitplane 1
*                 Draw Picture 2 on Bitplane 2
*         VBL 2   Draw Picture 1 on Bitplane 1
*                 Draw Picture 2 on Bitplane 2
*                 Draw Picture 3 on Bitplane 3
*                 Draw Picture 4 on Bitplane 4
* But this really is no problem when just drawing pictures, as only two has
* to be uncrunched at VBL 1 and 2 at VBL 2 + copying the other 2 (which is
* quite fast using the blitter)

*
* REMark lines MUST start with a * and continues to the end of the line.
*
* A remark line can start at the end of a command line.
* Spaces at the start of a line is removed, making it possibly to creat
* easy to read sequenses-code.
*
* A command MUST end with a ;..
* Characters that has no function: NEW-LINE  SPACE  ,
*      They are all just ignorred. (>WAIT 00 = >WAIT 01 = >WA IT ,,01)
* Observe that NEW-LINE ends a remark line.
                ENDPART
                >PART 'Picture Data'
*      0   1.W    Type
*                 0= 1 bpl, pure Image file
*                 1= 2 bpl
*                 2= 3 bpl
*                 3= 4 bpl
*
*     32   x..    Start of image / crunched data

                ENDPART

T8:             >PART 'ckel'
                movem.l D2-D7/A2-A6,-(A7)
                lea     T8(PC),A6
                lea     11*4+6(A7),A5
                move.w  (A5)+,D7
                add.w   D7,D7
                move.w  _HoppTab-T8(A6,D7.w),D7
                jsr     0(A6,D7.w)
                movem.l (A7)+,D2-D7/A2-A6
                rte
                ENDPART
_HoppTab:       >PART 'T8 commands'
                DC.W ResvMem-T8             ; 0
                DC.W FillMem-T8
                DC.W FreeMem-T8
                DC.W ClenMem-T8
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W SetVar-T8              ; 8
                DC.W GetVar-T8
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W GetStr-T8              ; 16
                DC.W GetHexNr-T8
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W StupidChar-T8
                DC.W GetStartChar-T8
                DC.W GetContChar-T8
                DC.W FindEnd-T8             ; 24
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W ToComBuf-T8            ; 32
                DC.W GetSeqComPek-T8
                DC.W SetSeqComPek-T8
                DC.W GetSeqSavePek-T8
                DC.W SetSeqSavePek-T8
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0                      ; 40
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0                      ; 48
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                DC.W 0
                ENDPART

                PART 'Memory Commands T8'
ResvMem:        move.l  D0,-(A7)
                move.l  (A5)+,D0            ; Size
                bsr     GET_FRG_MEM
                move.l  (A7)+,D0
                rts                         ; out: a0=memory address

FillMem:        movea.l (A5)+,A2            ; Address
                move.l  (A5)+,D2            ; Size
                lsr.l   #1,D2
                subq.l  #1,D2
                bmi.s   .Stupid
.Fylla:         clr.w   (A2)+
                dbra    D2,.Fylla
.Stupid:        rts

FreeMem:        movem.l D0/A0,-(A7)
                movea.l (A5)+,A0            ; Address
                move.l  (A5)+,D0            ; Size
                bsr     FREE_FRG_MEM
                movem.l (A7)+,D0/A0
                rts

ClenMem:        bsr     CLEAN_FRG_TAB
                rts
                ENDPART
                >PART 'Variabel commands T8'

* Set/Create a variabel 8
* .L Address to name
* .L value
* out:  d0=0 if existed   -1 if created
SetVar:         movem.l D1/A0-A1,-(A7)
                move.l  (A5)+,D1
                movea.l (A5)+,A0
                bsr     FindVar             ; out d0,a0
                lea     _fast(PC),A1
                move.l  (A1)+,(A0)+
                move.l  (A1)+,(A0)+
                move.l  D1,(A0)+
                movem.l (A7)+,D1/A0-A1
                rts

* Get variabel value  9
* .L Address to name
* out:  d0=value
*       d1=-1 if not existed   0=if ok
GetVar:         movea.l (A5)+,A0
                bsr     FindVar
                move.l  D0,D1
                move.l  8(A0),D0            ; funkar pga "next unused" = even
                rts

FindVar:
* a0=Address to name
* out: a0=location address  (or next unused)
*      d0=0 if exist  -1 if not
                movem.l D2/A2-A3,-(A7)
                lea     _fast(PC),A2
                movea.l A2,A4
                clr.l   (A2)
                clr.l   4(A2)
.kopiera:       move.b  (A0)+,(A2)+
                bne.s   .kopiera
                move.l  (A3)+,D0
                move.l  (A3)+,D2
                movea.l _VarTab_Pek(PC),A0
.takeone:       cmp.l   (A0),D0
                bne.s   .fail_1
                cmp.l   4(A0),D2
                bne.s   .fail_2
                moveq   #0,D0
                movem.l (A7)+,D2/A2-A3
                rts
.fail_1:        tst.l   (A0)
                beq.s   .dont_exist
.fail_2:        lea     12(A0),A0
                bra.s   .takeone
.dont_exist:    moveq   #-1,D0
                movem.l (A7)+,D2/A2-A3
                rts
_fast:          DS.B 8


                ENDPART
                >PART 'String commands T8'

**************** 16

* Expects GetStartChar, GetContChar to not destroy d1,a1,a2
GetStr:         move.l  D0,-(A7)
                movea.l (A5)+,A2            ; Save at
                movea.l (A5)+,A0            ; Look at

                move.l  A0,-(A7)
                movea.l A7,A5
                bsr     GetStartChar
                addq.l  #4,A7

                cmp.b   #'"',D0
                bne.s   .GetS_Error

.St_loop:       move.l  A0,-(A7)
                movea.l A7,A5
                bsr     GetContChar
                addq.l  #4,A7

                cmp.b   #'"',D0
                beq.s   .Slutet
                move.b  D0,(A2)+
                bra.s   .St_loop
.Slutet:                              bsr     FREE_FRG_MEM
                movem.l (A7)+,D0/A0
   )+
B     bsr     GetStartChar
   3raw Picture 1 on Bitplane 1
*        m0 sontChar
 onl,0 soq",   10   CLEAN_FRG_TAB
            righove992    ove Lil  n",   10 10   CLEAN_FRG_TAB
     
*     A4=Data tab (multiproccess tab)
*     A5=_  bra.s   .t  3r        on
 .l        e n, +    '      bsr     GetStartChar
    *4cts GetStartChar, GetContChar        beq.s etStartChar, GetContChar  takRbeq.s etStartChar, GetC  rts
.fail            etStartChar, GetContChar        beq.s etStartChar, GetContChar  takRbeq.s etStartChar, GetC  rts
.fail .godis
   move.b  (A0)+,(A2)+
            beq.A0)+,(A2); 1
*TEMPORARYdq.lasmove.b  (A0)+,(A2)+
      takRbeq. (A0)+,(A2)ess ifw
ELRaster Iue
*ve.b  (A0)+,(A2)r     FREL        -1,D0
   1s   .Slutet
                have s   .Slutet
                have s   .Slutet
                    beq.s   .Slutet
     ontChar  takRbeq.s ve.b  (A0)+,(A2)r     FREL    Jump-1,D0
   1s   .Slutet
                have s   .Slutet
                have s  d1,a1,a2
GetStr:         motCha    0
   5th a N
 ne.ontinues to the f ok
GetVar:   *********
                lea   2  $001C(A5),D0
                add.l   #$00000100,D0
                move.l  D0,-.w   D7,D7
\STEDI.PRG"
                EV@f ok
GetVarar:)esskip,A0it. DC.B 0,0
_Editor:        DC

   _Ceven
   PART Mortead do ns that yo2 only have to CONSIDERCONSI _fast(PC),A1
            D2
  2    4t(PC),A1
            D2
  2    3      VBL 4   Draw Picture ss to name
* out: .m0,S         DC   m2 on Bitplan4e s   .Slutet
      +,D0    m0,S        ; Address
    ; o
  4)NDPART

                PART Mort      move.l  D0,-.w   D7,D7
\STEDI.PRG"
            bis
*         VBL 1   Draw      ; out d0,a0
                +,D0    godis Size
                bsr $0014(A5),D0
                add.l   $001C(A5),D0
                add.l   #$00000100,D0
      4           ; Address
                move.l  (A5)       PART Mort   godisraw Picture 2 on B EV@f ok
GetVarar:-T8(A6,D7.w),D7
          0A7)
                trap  ve.w  #1 1
mmands'
                DC.W Res0   addq.w  #8,A7
   
          opA5)
.W 0
                DC.W 0
 ne..takeone:       cmp.l   (A0   @_                     ept in     s   .Slutet
                    beq.s   .Slutet
            D@_                         lea     1   move.l  A0    0
   4TEDI.PRG"
                EV@f ok_SP  4)ND  tst.l   (A0)
               nctiSTEDI\STEDI.PRG"
               @q   #0,D0
           p
   scti        Gevnue
* )+
B     bsr     GetStarakeon>>fw
ELRPster Iue
*      VBL 4   Draw Picture L    Jump-1,D0
   0th a N
 L    :               (A2)+a0
                +,D0    L  _ ou
*      VBL 4   Draw Picture L        -1,D0
   1s ove._Sa.ontinues to the have tD time
* period (drawing 1 plane +
                dns that D time
* period (dr +,D0    L  _               DC.W 0
    hat D tter)

*
* REMark lines MUSve._Sa.t(PC),A1
            D2
  (A2) 1s   .Slutet
                planemory Commands T8'
ResvMemN
 L    th a L  _             bsr     CLEAN_FRG_TAB
      L           w
   w
 
*  N GPART
                >PART  L  _ ou             lea    *4cts                  Tempor
Vbfw
ELRq.lasmove.b  (A0)+,(A2) Picture L        -1,D0
   1s ory Commands T8'
t 1)
* Use upper charceters where it is ture L    Jump-1,D0
   1s ory Commands T8'
t 1)
* Use upper cha
*         VBL 1   Draw Pict      beq:_TAB
      was never )
                trap       PC),A2
ve.l  A4,@_Seq_Povea.l EQ'      bsr     GetStartChar
-       8A28l _VarTabBlt
 
*    tr5),D0
                add.-       8A2C
       een+2(PC),$FFFF8203.w
     8A3D
       een+2(PC),$FFFF8203.w$4
     8A3Cq.s S0,_Pro2-e(A6)
 os S0,_ProBLe(A6)
  bsr.s   Run_Proc

                not.w       planc   E  SPACE
 'VBL Bnot..nd continues L-e(A6)
           movea.l (A41)
          ines MUSl            DC.W 0
 art of routine        VBL 1   Draw Pictr next unused)
*      d0=0 if exist  -1 if S   ch               moToggl     .w
t'      bsr     GetStartCharove.l  D0,  Draw Picture 3 on Bitplaneove.)
   D time
* period (drawing 1 Dail e.)-e    cmp.b   #'"',D0
 l (A7)+,D0/ove.l-e    cmp.b   #'"',D0
 l (A7)+,EE_FRG_MEM
    Draw Picture 3 on Bitplaneo             D time
* period (drawing 1 Dail        -e    cmp.b   #'"',D0
 l (A7)+,D0/oW       -e    cmp.b   #'"',D0
 l (A7bneo        +l  D0,       bD7
                movem.l Do        +2  D0,       b3,A4
                movea.l (A4)+,A2
           Runl  A0
              o  #6,p A0,-(A7'         lea     1   move.l  A0    0
   5harceters where it is ture@ove.l      4          DC.W 0
          move..     A0
      ns that yo4 only have to CONSIDER that Nvalue
*        DC.W 0
            4-bel:     move.l  (A0)+,D0
   D2
  46)
  bsr.s   Run_Procve.w  #1 10
mmands'
                DC.W Res   4-bet.w       planc   E  Shat yo4 on Nvalue
:a     1   move.llPr4   4          DC.W 0
      DC.7,.     A04
                movea.l (A4)+,A2
           q_PBL
                rts
.SR
    '-T8(A6,D7.w),D7
          0A7)
                trap     move.eM
                movem. va      D    
.-e    cmp.b   #'"',D0
 DER thatF_U_C_Km:        movem.l D0/A0,-(A   ch         lea     1   move.l    o   e(A6)
  bsr.s   Run_Proc

m2
  (A2)     rts
.Seq_Loop:      movea.l @_Seq_PC(A5),A4
m:        movem.l D0/A0,-(Runl .tak        movem.l D0/A0,-(Runl  A04
            movem. va      D    
.-e    cmp.b   #'"',D0
        DC.W Res0   addq.w  #8,A7
        F_U_C_K
          bsr     CLEAN_FRG_TAB
      O
 
 Vsync
          ; Free Temporary LABEL areas
            Runl .t  3rrrrrrun_Seq: unl (A6)+,A7'         lea     1   move.l  A0    0
   5harceters where it.w   D7,D7
@_+,$0   untrar:-T8(A6,D7.w),D7
  read sequ                DC.W 0
       u             DC.W ture@oD2/A2-      4          DC.W 0
    D2
  46+
                rts

FindA4,@oD2/A2-      bsr.s   Run_Procve.w  #1 12)         lea     1   move.l  A0    0
   5ove.;S       mighov* .L Add DC.W GetVar-T8
   
       @_+,$0   untrar:-T8(A6,D7.w),D7
  read sequ                DC.W 0
      y LABEL areas
            y LABEL areas
 un_Seq:M  #0, garbuf
'
*      VBL 4   Draw Picture D2/A2- 
   5harceters where it is turef ok_SP 
   4TE                Dou draw a new pi          lea     T8(PC),A6        0
   1s oCheckN
   3rawawing 1 plane +0time
* period (drawing 1 plane +itplane 1
*         VBL 2 GetH7l (A41)
          ines MUSCheckN
   bsr.s   Run_Procvm     17,-(A71
        Dnstead do ls

FindA5+,D2/A2--e    cmp.b   #'"',D0
 l (A7)+,A4,f ok_SP-e    cmp.b   #'"',D0
 GetStar          3raw PictL "w,$0",ve._w,$0-esone: ",ve._ve.w_ne:-A7)
               ictL "wipe",ve._wipe_ne:-A7)
               ictL ">   ",ve._FFF   -eso>   ",ve._FFF   -esof
  )
 
               ictL "s_lp",ve._Fvea.l   -esol   ",ve._vol   -e
 
               ictL "6)+,",ve._6)+,-esogosb",ve._6)240.e
 
               ictL "
  ",ve._
    -eso<ror )
 
789A
7e._ve.w_ne:9
* .L                            rts

FindVar:
D1 Size
                bsr $0+
                de.w         " OMEGA.SEQ"
_Nul****=S T E*e to pic XX. Pal wil       DC.B "_ne:e(A6)
  bsr.s   Run_Proc

turefve.l  D0,-1
.Not_Sam:       move.bsr    1s   .Slutet
                have s   .Slutet
          ,(A6)+
1ork like
* this:   VBL 1   Draw 1ork like
* this:   VBL turefve.2  D0,-1
.Not_Sam:       move.bsr    1s   .Slutet
                have s   .Slutet
          ,(A6)+
1ork like
* this:   VBL 1   Draw 1ork like
* this:   
ResvMeu         ve._wipe_ne:9
* .L                            rts

Fbsr $0+
                de.w         " OMEGA.SEQ"
_Nul****=S T E*e to pic XX. Pal wil       D  bsh_ T e(A6)
  bsr.s   Run_Proc

turefve.l  D0,-1
.Not_Sam:       move.bsr    1s   .Slutet
                have s   .Slutet
          ,(A6)+
1ork like
* this:   VBL turefve.2  D0,-1
.Not_Sam:       move.bsr    1s   .Slutet
                have s   .Slutet
          ,(A6)+
1ork like
* this:   
ResvMeu         akeonve._FFF   :s:   VBL turere 3 on Bitplane 3
*        move.l    o   e(A6)
1s   .Slutet
     REPT   add.w   D0,D0
            (A2)
1ork like
* this:      R         DC.W 0
 art of ru         ve._6)+,:his:   VBL turere 3 on5         DC.W 0
 art of ru         ve._6)240:D0
                                 rts

Findbel:  4  move.l  (A0)+,D0
   D2
6)+n5         DC.W 0
 art of ru         ve._
    :s:   VBL turere43 on5         DC.W 0
 art of ru         like
* this:            C.B "_ne::D0
          04B pea    .B "Ds  lRT
 B "D   ww
       $FFFFF* 6  lRsou   b  #0,$FF      ove.l  (A0)+,D0
   D2
6              DC.W 0
      0
   0,yo2 only have to CONSIDERes MUSspcti1b       DC.W 0
      0
   3,yo2 only have to CONSIDERes MUSspcti4b       DC.W 0
     bsr    s ospcti1b:a     1   move.     8A0                  movem.l (A7ea       20    cmp.b   #'"',D0
 l (A7ea       22             moveq   #7,D7
.AllPr2n
                rts

FindA     24    cmp.b   #'"',D0
 l (A7ea       2E    cmp.b   #'"',D0
 l (A7ea       30    cmp.b   #'"',D0
 l (Aturere1n
                rtsmove.bsr4              DC.W 0
   

FindA     32    cmp.b   #'"',D0
 l (A7ea        36    cmp.b   #'"',D0
 l (A7ea  e99    38    cmp.b   #'"',D0
 l (A7ea    #13    3A    cmp.b   #'"',D0
 l (A7bne#$C     3C    cmp.b   #'"',D0
 GetStarSspcti4b:a     1   move.     8A0                  movem.l (A7ea       20    cmp.b   #'"',D0
 l (A7ea       22             moveq   #7,D7
.AllPr2n
                rts

FindA     24    cmp.b   #'"',D0
 l (A7ea  2    2E    cmp.b   #'"',D0
 l (A7ea  2    30    cmp.b   #'"',D0
 l (Aturere1n
                rtsmove.bsr4              DC.W 0
   

FindA     32    cmp.b   #'"',D0
 l (A7ea  8     36    cmp.b   #'"',D0
 l (A7ea  e99    38    cmp.b   #'"',D0
 l (A7ea    #13    3A    cmp.b   #'"',D0
 l (A7bne#$C     3C    cmp.b   #'"',D0
 GetStp.b   #'"',D0
      A5=_  bsh_ T :D0
                     move.B "Ds  lRT
 B "D   ww
       $FFFFF         moveq   #7,D7
.A     8A0                  movem.l (A7ea       2E    cmp.b   #'"',D0
 l (A7ea       30    cmp.b   #'"',D0
 l (Aturere1n
                rtsmove.bsr4              DC.W 0
   

FindA     32    cmp.b   #'"',D0
 l (A7ea        36    cmp.b   #'"',D0
 l (A7ea  e99    38    cmp.b   #'"',D0
 l (A7e       0    3A    cmp.b   #'"',D0
 l (A7bne#$C     3C    cmp.b   #'"',D0
 GetStarp.b   #'"',D0
      A5=_akeon------------------
 I N Gl   :D0
        I N G
P****te'         lea     1   move. I N Gl   e(A6)
3      VBL 4   Drawr        dp_v_   t  0
     ; g    ALe at the NEXT vbl..
                clr.l   (A2)
             dd.l   #$00000100,D0
                move.l  D0,-
         time
* period (dr +,D0    dp_t  * sams        bsr     GetStartChar
                      3= ENDP sof dik like
* this:   VBL 1   D       DC.W 0
       e.w  _Hop2                  rts

Find $0014(A              rl  #4,AFFA1e a r cORYt the NEXT vbl..
         0         ELSE


                >PART 'CALL SUPER PART'
                pea     beg       m" OMEGA.SEQ"
_Nuld2         A0,-ab           pea     beg        savetab(PC),A6
                         ELSE


                >PART 'CALL SUPER may take0    mo7RT 'Programmers guide'

*  dp_v_   t  0
     ; tplane  ALe at the NEXT vbl..
     l  Start of image / crunched data
ea            ELSE


                >PART 'CALL SUPER may take0    mo7RTthe NEXT vbl..
     l  StaD0RT 'Programmers guide'

*  dp_v_   sof 0
    ; tplane  ALSIZEk like
* this:   VBL 1   D  rt of image / crunched data
ea            ELSE


                >PART 'CALL SUPER may take0    mo7RTthe NEXT vbl..
     l  StaD0RT ' dp_t  * sams:drawing 1 Daildp_   t  - I N Gl   e1
mmands'
         e'

*  dp_v_   sof 0
    ; g    ALSIZEk like
* this:   VBL 1           clr.l   (A2)
             dd.l   #$00000100,D0
                move.l  D0,-l'

*  dp_e    1e(A6)
  bsr.s   Run_Proc

       @_     Mssgrar:-T8(A6,D7.w),D7
 
         time
* period (dr lea     _fast(PC),A1
                Daildp_   sof - I N Gl   e1
mmND  tst.l   (A0)
           dp_e    2e(A6)
  bsr.s   Run_Proc

       @_     Mssgrar:-T  bsr.s   Run_Proc

    @f ok
GetVarar:              move.l  $00000068.w,  savetab(PC),A6
                move.l  A7,(A6)+
                move.l  $00000070.w,(A6)l
                move.l  $00on B EV@f ok
GetVarar:-T8(A6,D7.w),D7
      move.l  $00000120.w,(A6)+
              k like
* this:   VBL turefdp_   t  even
                rtsmove.bsr 0
                rtsns that yo2 only have to CONSIDlea     _fast(PC),A1
                 C.W 0
                D              beq.s   .Slutet
                yo2 only have to CONSI         .B " OMEGA.SEQ"
_Nulls:     lA0,s
                move.lC.W ture@oD2/
GetVarar: -(A;* co .tak        movem.l              6OMEGA.SEQ"
_Nuld6=l       rtsolak        movem.l          15move..       :D0
    beg        savetab(PC),A6
                2  $001C(A5),D0
                add.l   #$00000100,D0
                move.l  D0,-.w   D7,D7
\STEDI.PRG"
       e(A6)
  t d0you only have to CONSIDER that    tri   move.w  #0,-(A7)
                move.w  #$004A,-(A7)
       savetab(PC),A6
                move.l  A7,(A6)+
                move.l  $00000070.w,(A6)l
                move.l  $00owUST end with a ;..
* Charac

Fbsr $0+6          DC.W 0
      DC.7,.          move.w  #0,-(A7)
                move.w  #$004A,-(A7)
    24  $001C(A5),D0
                add.l   #$00000100,D0
                move.l  D0,- $00on B EV@f ok
GetVarar:-T8(A6,D7.w),D7
 GetStarS   tri:000100,D0
  D7,D7
\STEDI.PRG"
                EV@f ok
GetVarar:  tst.l   (A0)
           dp_e    2e(A6)
  bsr.s   Run_Proc

       @_     Mssgrar:-Tbsr.s   Run_Proc             6only have to CONSIDERCONSI _fast(.  GO   :D0
    beg bsr 6,nly have to use it if you wish t7,.  GO   -T8(A6,D7.w),D7
 GetStarar dp_e    1:D0
       ans. ALe a the PR   ENDPA ALSIZE )
  dp_e    2:D0
       Argum
   e      DEF "E_ AL )
  dp_e    3:D0
       No,$FFFF s Sei ENr )
 
 dp_v_   t  :
        ALe a )
  dp_v_   sof :
        ALSZIE )
                trap   fdp_   t  :D0
  StL 1  fdp_   sof :
 
  StL 1    like
* this:            Ce._Speed:D0
              Vsyspeed'  bsr.s   Run_Proc

    @f ok
GetVarar:              move.l  $00000068.w   savetab(PC),A6
                move.l ,A6
      ; g   -T8 A7,(A6)+
                move.l  $00000070.w,(A6)l
                move.l  $00owUST e_Speed   move.w  #0,-(A7)
                move.w  #$004A,-(A7)
    24  $001,A6
      ; g   fstC(A5),D0
                add.l   #$00000100,D0
                move.l  D0,- $00on B EV@f ok
GetVarar:-T8(A6,D7.w),D7
 GetSt8(A6,D7.w),D7
          Ce._S    :D0
             S    r of '  bsr.s   Run_Proc

    @f ok
GetVarar:              move.l  $00000068.w4  savetab(PC),A6
                move.l ,A6
      ; g   -T8 A7,(A6)+
                move.l  $00000070.w,(A6)l
                move.l  $00owUST e_S           move.w  #0,-(A7)
                move.w  #$004A,-(A7)
    24  $001,A6
      ; g   fstC(A5),D0
                add.l   #$00000100,D0
                move.l  D0,- $00on B EV@f ok
GetVarar:-T8(A6,D7.w),D7
 GetSt8(A6,D7.w),D7
          
+,$0
                  +,$00Vb)+

                moture@oD2/
GetVarar: -(

                moture@oD2/sed" = ear: -2ND  tst.l   (A0)
          ve._w,$0
                movea.l A7,A5
     2          bsr     GetStartCharA$0014(A              g   nc
  ove.w  #$004A,-(A7)
    2  savetab(PC),A6
                move.l  A7,(A6)+
                move.l  $00000070.w,(A6)l
                move.l  $00owUST end with      bsr     GetStartCharA$0014(A              fmove; move.w  #$004A,-(A7)
    24  $001C(A5),D0
                add.l   #$00000100,D0
                  move.l  D0,- $00on B EV@f ok
GetVarar:)ess
*            DC.W 0
   

FindA  @oD2/sed" = ear:)ess
* s
         DC.W 0
   GetStarve._w,$00= 1 bpl, pure Ima43 o@_+,$0   untrar:-T8(A6,D7.w),D7
 

FindA4,@oD2/A2-      bsr.s   Run_ProcGetStarp.b   #'"',D0
      A5=_trinC   
             E          '

                moture@oD2/sed" = ear: -0  tst.l   (A0)
          ve._        movea.l (A5)+,A0            ; Look at

              $00on B EV@f oksed" = ear:        move.l  D0,- $00on Brar:      ve.l  D0,-  fmove; move.w  #$004A,-(A7)
    24  $001C(A5),D0
                add.l   #$00000100,D0
            

              $00on B EV      bsr.s   Run_ProcGetStarve._   ead do ls

    a$27 0 SR         DC.W 0
 art of routine        VBL 1   Draw PictCe._Colve.l  A4,@_Seq_Po   Iue
This FFF'

                moture@oD2/sed" = ear: -2NDtst.l   (A0)
          ve._FFF   e(A6)
  bsr.s   Run_Proc

       nd with      bsr     GetStartChar@f ok
GetVarar:              move.l  $00000068.w1  savetab(PC),A6
                move.l  A7,(A6)+
                m                  ; g   -T8 A7,(A6)+
       ,(A6)l
       -T8(A6,D7.w),D7
      move.l  $00000120.w,(A6)+
 $00owUST end with      bsr     GetStartCharA$0014(A move.w  #$004A,-(A7)
       savetab(PC),A6
                move.l  A7,(A6)+
                m                  ; g   -T8 A7,(A6)+
       ,(A6)l
       -T8(A6,D7.w),D7
  $00owUST end with      bsr     GetStartCharA$0014(A move.w  #$004A,-(A7)
    24  $001C(A5),D0
                ad                  ; fmove; move.w  #$004A,-(0
                  move.l  D0,- $00on B EV@f ok
GetVarar:       DC.W 0
   

FindA  @oD2/sed" = ear:  bsr.s   Run_ProcGetStarve._FFF   C.W 0
         4                    rts       D@_    o   ear: -(

                mo      4   0  .l  
                trap   FindA4,@oD2/A2-      bsr.s   Run_ProcGetStbsr.s   Run_ProcDraw PictCe._   :D0
   ,@_Seq_Po   
  irG
P****te'                       trap   ture@oD2/sed" = ear: -2NDtst.l   (A0)
          ve._FFFpa e(A6)
  bsr.s   Run_Proc

       nd with      bsr     GetStartChar@f ok
GetVarar:              move.l  $00000068.w3  savetab(PC),A6
                move.l  A7,(A6)+
                m                  ; g   -T8 A7,(A6)+
       ,(A6)l
       -T8(A6,D7.w),D7
      move.l  $00000120.w,(A6)+
              k like
* this:   VBL ture@l          ear: -ovea.l (A5)+,A0            0  1l  
 ,  ,
*      They are all just iA  @oD2/sed" = ear:        bsr     GetStartCharA$0014(A move.w  #$004A,-(A7)
    24  $001C(A5),D0
                ad                  ; fmove; move.w  #$004A,-(0
                  move.l  D0,- $00on B EV@f ok
GetVarar:       DC.W 0
   GetStarve._FFF   :s:   VBL turere43 on Bitplane 3
*     p   FindA4,@oD2/A2-      bsr.s   Run_Proc

m2
  (A2)     rts
.Seq_Loop:      movea.l @_Seq_PC(A5),A4
     DC.W 0
   GetSt     DC.W 0
            
o  up           @_Seq_Povea.l       '

                moture@oD2/sed" = ear: -2NDtst.l   (A0)
          ve._FFFupl   e(A6)
  bsr.s   Run_Proc

       nd with      bsr     GetStartChar@f ok
GetVarar:              move.l  $00000068.w2  savetab(PC),A6
                move.l  A7,(A6)+
                move.l  $00000070.w,(A6)l
                  move.l  $00owUST end with a ;..
* Charac

Ft iA  @oD2/sed" = ear:        bsr     GetStartCharA$0014(A move.w  #$004A,-(A7)
    24  $001C(A5),D0
                ad move.w  #$004A,-(0
                  move.l  D0,- $00on B EV@f ok
GetVarar:       DC.W 0
   GetStarve._FFFupl   : DC.W ture@oD2/ASP  r: -(

                mo      4   D Bitplane 3
*     p   FindA4,- 10
mmands'
              bsr $00140)      move.l  D0,- $00on B EV@f okASP  r:-T8(A6,D7.w),D7
 

FindA4,@oD2/A2-      bsr.s   Run_ProcGetStarp.b   #'"',D0
      A5=_txectio                E          '

                moture@oD2/sed" = ear: -2NDtst.l   (A0)
          ve._vol   e(A6)
  bsr.s   Run_Proc

       nd with      bsr     GetStartCharA  @oD2/sed" = ear:  bsr.s   Run_ProctartChar@f ok
GetVarar:              move.l  $00000068.w24  $001C(A5),D0
                ad                  ; fmove; move.w  #$004A,-(0
                move.l  D0,- $00on B EV@f ok
GetVarar:       DC.W 0
   GetStarve._vol   :       moture@oD2/ASP  r: -(

              .w i068.w1     ENDPART

                P    a move.w  #$004A,-(0
      4
\STEDI.PRG"
                EV@f okASP  r:-T8(A6,D7.w),D7
           a        Draw Picture(A2) 1s   .Slutet
             A1,@oD2/A2-      bsr.s   Run_ProcGetStbsr.s   Run_ProcDraw PictctctDe.w_ .gt:D0
          e.w     #0,$F'      bsr     GetStartChar
one: ",     ak        movem.l          1  6only have to CONSID          HT8 A7,(A6)+
                3tH7l (A41)
                DC .gt_     1$00000120.w,(A6)+
        7,D            move.l  $00owUST7,     akak        movem.l          2  6only have to CONSID          HT8 A7,(A6)+
       e.w      2,D            move.l  $00turefv.godis
 e(A6)
  bsr.s   Run_Proc

    0  .l 7
 ,H7l (A41)
          ER that  .gt_             DC.W 0
   

FindT7,     akak        movem.l     VBL 4   
Gtri          movem.l        .gt_     1:D0
  bsr     CLEAN_FRG_TAB
       Iue
END -ehe Pue
E    move          ; Free Temporar  .gt_      :D0
  bsr     CLEAN_FRG_TAB
       e.wue
EaENDPAllea rt  #0,$F          ; Free Temporary LABEL areas
          Wipe_ .gt:D0
                     move.B      DC.W 0
   

Find#"wipe",     ak        movem.l          1  6only have to CONSID          HT8 A7,(A6)+
                3tH7l (A41)
                DCWipe_     1$00000120.w,(A6)+
        7,D            move.l  $00owUST7,     akly have to CONSID       4   
Gtri          movem.l       Wipe_     1:D0
  bsr     CLEAN_FRG_TAB
       Iue
END -ehe Pue
E    move          ; Free Temporary LABEL areas
          Ce._   en:D0
             
  irG
P****te'       DC.W 0
   

Find#">   ",     ak        movem.l          2  6only have to CONSID          HT8 A7,(A6)+
        $00turefv         e(A6)
  bsr.s   Run_Proce.w      2,D            move.l  $00    0  .l 7
 ,H7l (A41)
          ER that    v  _     1$00000120.w,(A6)+


FindT7,     akly have to CONSID       4   
Gtri          movem.l          v  _     1:
  bsr     CLEAN_FRG_TAB
       Iue
Ep****te    h3 picI N ue
E$0"         ; Free Temporary LABEL areas
          Fa  
      
         Fa    Etw    twoEp**s'       DC.W 0
   

Find#"f
  )     akly have to CONSIREPT 2ak        movem.l          2  6only have to CONSID          HT8 A7,(A6)+
        $00turefv         e(A6)
  bsr.s   Run_Proce.w      2,D            move.l  $00    0  .l 7
 ,H7l (A41)
          ER that Fa  _     1$00000120.w,(A6)+


FindT7,     akly have to CONSI   R         DC.W 0
          2  6only have to CONSID          HT8 A7,(A6)+
        $00owUST7,     akly have to CONSID       4   
Gtri          movem.l       Fa  _     1:D0
  bsr     CLEAN_FRG_TAB
       Iue
Ep****te    h3 picI N ue
E$0"         ; Free Temporary LABEL areas
          L    :                 L     FT
 'only have to CONSID          C       A7,(A6)+
        $00turefL        -1,D+4e(A6)
  bsr.s   Run_Proc

    T7,  k at

              $00on B 5Look at

              $00on B EVfL        -1,D+4akly have to CONSID       4   
Gtri          movem.l      y LABEL areas
          G)+,:his:              G)+,'       DC.W 0
   

Find#'6)+,',     akly have to CONSID          C       A7,(A6)+
        $00turefL    Jump-1,D+4e(A6)
  bsr.s   Run_Proc

    T7,  k at

              $00on B 5Look at

              $00on B EVfL    Jump-1,D+4 A7,(A6)+
          Shat yo   akly have to CONSID       4   
Gtri          movem.l      y LABEL areas
          G)240:D0
             G)240'       DC.W 0
   

Find#'6)sb',     akly have to CONSID          C       A7,(A6)+
        $00turefL    Jump-1,D+4e(A6)
  bsr.s   Run_Proc

    T7,  k at

              $00on B 5Look at

                Shat yo   akly have to CONSI $00on B EVfL    Jump-1,D+4 A7,(A6)+
       D       4   
Gtri          movem.l      y LABEL areas
          R
    :s:              R
    '       DC.W 0
   

Find#'
  ',yo   akly have to CONSID       4   
Gtri          movem.l      y LABEL areas
          eon------------------
   oD2ctio :s:         E   D2ctio 't

                S       opA5)
.W 0
              moture@oD2/sed" = ear: -0  tst.l   (A0)
          ve._        movea.l (A5)+,A0            ; Look at

              $00on B EV@f oksed" = ear:          movem.l      y LABEL areas
          n------------------
 lea_NEO_ .g            lea NEO P #0,$FFC      '

                mo     0A73  saveta         DC.W 0
          2  6only have to CONSID          HT8 A7,(A6)+
        $00o   T7,D4,(A6)+
       ; D4=t  #lA0,s
  tupid
.Fylla:       e.w      2,D4only have to CONSID          HT8 A7,(A6)+
        $00owUST7,D5,(A6)+
       ; D5=Ep**lA0,s
  tupid
.Fylla:       e.w      2,D5ak        movem.l          1  6only have to CONSID          HT8 A7,(A6)+
        $00o   T7,D6,(A6)+
       ; D**=Sm   ND  tst.l   (A0)
          -80    mo7RTthe NEXT vbl..
         mov(

                moture .B 3,(A6)+
       ; a3         A0,f   nameonly have to CONSID          F   nameonly have to CONSI

Find#32128W 0
                D              beq.s   .Slutet
              .B " OMEGA.SEQ"
_Nulls:        A0,llea rt  #s   .Slutet
              3 .dont_exist
.fail_2:        lea     12(A0),A0
              80    mo7RT 'Programmers guid         C.W 0
                D              beq.s   .Slutet
         turefv         e(A6)
dont_exist
.fail_2ns that 0  1l 5
                traDlea    mN
o_     1$00000120.w,(A6)+


Find .B0  1l 5
                tra        4Pr2n
1s   .Slutet
     REPT   add.w   D0,D0
            1A2)
0  akly have to CONSI   R         DC.W 0
  may take28Pr2n
    A7,(A6)+
                0  6only have to CONSIDER that NEOOneBpl A7,(A6)+
                1  6only have to CONSIDER that NEOFT
rBpl A7,(A6)+
         bsr     CLEAN_FRG_TAB
        known NEO h   l  m             ; Free Temporar NEOOneBpl:only have to CONSI

Find#80C.W 0
                D              beq.s   .Slutet
         ture .B 3,(A6)+
       ; a3 ovea.l  #s   .Slutet
         
   0,yo0          moveq   #7,D7
.AllPr0: -(

                mo    #399       N
o1C   :        mo    Pr2n

0  akly have to CONSI,(A6)l
    2ak        movem.l ou wish t0, N
o1C   
                D
ResvMemMeFFFF   NEOFT
rBpl:ONSI

Find#320C.W 0
                D              beq.s   .Slutet
         ture .B 3,(A6)+
       ; a3 ovea.l  #s   .Slutet
         
   3,yo0          moveq   #7,D7
.AllPr0: -(

                mo    #799       N
o4C   :        mo l 
  2   
0  akly have to CONSIou wish t0, N
o4C   
   MeFF:tet
         turefv.godis
 e(A6)
  bsr.s   Run_Procns that 0  0  4
                traDleesvMemN
o_             DC.W 0
   

Find 3 0  0  4
   

                mo    C.W Res0  3
                D   thatF   
Gtri          movem.l         N
o_     1:D0
   bsr     CLEAN_FRG_TAB
      P****te FFFtup,s
me    DC.Wtwic           ; Free Temporar N
o_      :D0
   bsr     CLEAN_FRG_TAB
      P #0,$FFllea rtup,s
me    DC.Wtwic           ; Free Temporar       ; Free Tem        n------------------

* out
Gtri      @_Seq_P1
*A0,C       E   ;'only have to CONSID          C.l (A5)+,A0
        
         ;'tH7l (A41)
          ines MUSC
Gtri_               DC.W 0
      C
Gtri_     :
   bsr     CLEAN_FRG_TAB
      Nva 
 due
ElN G
   h   ;           ; Free Temporar       ; Free Tem           F   name:    @_Seq_P1
*a,f   name'

                mo     70014(A              IN* c              lname,A0 #6only have to CONSID          C.l                 CONSID* s
  d(A5)+,A0
        
         "'tH7l (A41)
          ines MUS beq       S beq          DC.W  bis
4w pi          lea     T
         "'tH7l (A41)
          ER that Nbeq    A7,(A6)+
        $00    T7,  k at

             
ResvMemNbeq      S beqtri:000100,E  SPACEook at

              $00   DC.W Res           movem.l         Nbeq             bsr     CLEAN_FRG_TAB
     'F   name mi Iue
 "ts
      '         ; Free Temporar       ; Free Tem           HT8:s:              1
*HT8ts
     s'

                mo     5-D60014(A           IN*d6=   DC.W   s
      s 'Programmers guid         0,D5,(A6)+
       ; ACEo2ENDrm #6y)

              .w   D7,D7
D6,(A6)+
       ; OUT d7=-T8    DC.    ex          Doe.w  _Hop4,D5ak        movem.l D          C.l (A5)+,A0
        
         0'tH7l (A41)
          loesvMem               DC.W 0
          9'tH7l (A41)
          lnes MUSG)+D Get          DC.W 0
          A'tH7l (A41)
          loesvMem               DC.W 0
          F'tH7l (A41)
          lnes MUSG)+ exD Get2 A7,(A6)+
                'a'tH7l (A41)
          ltesvMem               DC.W 0
          f'tH7l (A41)
                DC       SG)+ exD Get2:+
        9move..G)+D Get      DSlut         FtH7l (A41)
         o S    ST7,D5akly have to CONSIou wish t6,  ex    akly have to CONSIexgCONSID5,  rts
.Seq_Loop:      moveaC.W Res5-D6          DC.W 0
                       bsr     CLEAN_FRG_TAB
       7 Nva a -T8ea cim # ascII    DC.          ; Free Temporar       ; Free Tem           C            @_Seq_P1
*aD  s
         '

                mo     60014(A              3 piD7=c       A7,(A6)+
       D   that   C.l (A5)+,A0
        exgCONSID7  6only have to CONSID   that   C.l (A5)+,A0
             _Hop8  6only have to CONSI $00    T7, 6only have to CONSID   that   C.l (A5)+,A0
             _Hop8  6only have to CONSI $00    T7, 6only have to CONSID   that   C.l (A5)+,A0
             _Hop8  6only have to CONSI $00    T7, 6only have to CONSIexgCONSID6,  rts
.Seq_Loop:      moveaC.W Res6          movem.l      y LABEL areas
          G  C.l :D0
   ,@_Seq_P1
*aDs
      '         ; Free TeC.W  bis
4w pi          lea     T
         *'tH7l (A41)
          ER that Rem    akly have to CONSID   thatDummyC.l (A5)+,A0
         ER that   C.l (A5)+,A0
              Rem    :a     T
  6)
  13lan4e s   .Slutet
      ines MUSRem    akly have to CONSI0
  D7,D7
_LN Gt

             
ResvMe   C.l (A5)+,A0
                 DummyC.l :D0
         Is C
      *aDdummyDs
 ?'         lea     T
        32tH7l (A41)
          ER that Yes         lea     T
        13tH7l (A41)
          ER that NewL         lea     T
        10tH7l (A41)
          ER that Yes         lea     T
        9tH7l (A41)
          ER that Yes         lea     T
        ','tH7l (A41)
          ER that Yes         lea     T

    a0,CCR(A5)+,A0
              NewL:tet
     0
  D7,D7
_LN Gt
 Yes:  lea     T

    a4,CCR(A5)+,A0
             5)+,A0
        Draw Pictctct5)+,A0
                A T A   T A B E L S'               :
 
  StBAll*8            2:
 
  StBAll*8   ButiTasks:D0
  StL ll*8     D    
.:_TAB
 S.W 1  f okASvea.:D0
  StL 1  f    ncti:_TAB
 S.L 1  fD            tCha           ok
GetVa:
 
  StL 1                      ; 
* f oksed" = :
 
  StL 1                      ; 4* f  opA5)
:_TAB
   Wo
                     ; d   0=E   s       iB "io * fLN G:  lea        Wo2                      ; 10  _     Mssg:D0
  StL 1                      ; 12* f         :        Wo  #10                  ; 16* f peed:D0
        Wo1                      ; 18   Rl  #4,d1:D0
  StL 6                      ; 20  _L    Jump-1,D:  StL 1                      ; 44only have to CONSI StL 1                      ; 48  _L        -1,D:  StL 1                      ; 52only have to CONSI StL 1                      ; 56* fansodis
 :
 
  StL 1                      ; 6   k @f ok
GetVa    EQUe ss to name- tCha    k @f oksed" =     EQUe ss sed" = - tCha    k @f  opA5)
      EQUe s opA5)
- tCha    k @fLN G          EQUe LN G- tCha    k @f     Mssg     EQUe      Mssg- tCha    k @f              EQUe s        - tCha    k @fRl  #4,d1     EQUe Rl  #4,d1- tCha    k @fL    Jump-1,D EQUe L    Jump-1,D- tCha    k @fL        -1,D EQUe L        -1,D- tCha    k @fansodis
     EQUe ansodis
 - tCha -ab                     W       : CONSI StL 1                      ; 0  _D       : CONSI StL 1                      ; 4* fVb)   unt:D0
  StWo1                      ; 8  f    PC:to CONSI StL 1                      ; 10  f    nP:to CONSI StL 1                      ; 14      1:e to CONSI StL 1                      ; 18      2:e to CONSI StL 1                      ; 22   ButigrT
 :
 
  StL 1                      ; 26* fR   2
ve.l  A4, StL 1                      ; 30  f+,$0   unt:
 
    Wo1                      ; 30  f    o   :_TAB
 S.W 16                     ; 32      @ W             EQUe W       -           @ D             EQUe D       -           @ Vb)   unt     EQUe Vb)   unt-           @     PC        EQUe ss A2--           @     SP        EQUe ss ASP-           @    1          EQUe ve.l-           @    2          EQUe ve.2-           @ ButigrT
     EQUe ButigrT
 -           @ R   2
        EQUe R   2
-           @ +,$0   unt    EQUe W,$0   unt-           @     o         EQUe v   o   -             5)+,A0
        Draw Pict5)+,A0
               Jump1e aELS'    .z01:e to CONSI
      Dra )
 
.w01:e to CONSI
      STACK_SIZE )
 .w02:e to CONSI
      LOAD_NEO )
 .w03:e to CONSI
      DEF "E_ AL )
 .w04:e to CONSI
      SPEEa )
 
.e01:e to CONSI
      WAIT )
 .e02:e to CONSI
      pea     )
 .e03:e to CONSI
      WIP  )
 .e04:e to CONSI
      S   COLOR )
 .e05:e to CONSI
      S    AL )
 .e06:e to CONSI
      FADE  AL )
 .e07:e to CONSI
      REPEAT )
 .e08:e to CONSI
      Dra_REPEAT )
 .e09:e to CONSI
      L aEL )
 .e10:e to CONSI
      GOTO )
 .e11:e to CONSI
      GOSUB )
 .e12:e to CONSI
      RE   N )
 .e13:e to CONSI
      Dra_ALL )
 
       6)+,_C:_TAB
   L .z01,   oD2ctio    CLEAN_FRG_TAB
   L .w01,Ce._S    ,.w02, lea_NEO_ .g   CLEAN_FRG_TAB
   L .w03tHI N Gl   ,.w04,Ce._Speed   CLEAN_FRG_TAB
   L .e01,W,$0,.e02,De.w_ .gt,.e03,Wipe_ .gt   CLEAN_FRG_TAB
   L .e04,Ce._Col,.e05,Ce._   ,.e06,Fa     CLEAN_FRG_TAB
   L .e07,o  up     ,.e08,txectio        CLEAN_FRG_TAB
   L .e09,L    ,.e10,G)+,,.e11,G)240   CLEAN_FRG_TAB
   L .e12,R
    ,.e13,trinC      CLEAN_FRG_TAB
   L 0  5)+,A0
        Draw Pictct lea    
              lea     SR
    '-T*e .= A       A0,lleatupid*e 1= A       A0,f    nameonly have to CONSI

     0A7)
      s   .Slutet
         ture .B 6t

                S                 move.l  $000000   ; L             move.l  $00000068.w   3D  $001C(A5),D0
                a1akly have to CONSI,(A6)l
                move.l  $00owUST eH7l (A41)
          m     DC lea_     1$0        move.l  $000000   ;)
                trap  e'

* $0F       A7,(A6)+
        $00owUST7,             move.l  $00000068.w   3F  $001C(A5),D0
                a1akly have to CONSI may take2    mo7RTthe NEXT vbl..

        0l (A41)
          m     DC lea_     2             move.l  $00owUST7,             move.l  $00000068.w   3E  $001C(A5),D0
                a1akly have to CONSI,(A6)l
 4mo7RTthe NEXT vbl..

        0l (A41)
          m     DC lea_     2             move.l  $00   DC.W Res0   addq.w  #8,A7
     se..  ea_     1:D0
  bsr     CLEAN_FRG_TAB
            Ope ue
Ef   , nr  0          ; Free Temporar  lea_     2:D0
  bsr     CLEAN_FRG_TAB
            pladue
Ef   , nr  0          ; Free Temporar       ; Free Temraw Pictr next unused)
*      d0=0 if exist  -1 i1 if **ee Ter cORY CONTROLERis
31/10-91)Eo26/12-91ctr next unused)
*      d0=0 if exist  -1 i1 if MAXbeq.   ree TemQUe64         beq.:    @_Seq_P1
*Mem From Fragm
   Le P'-T*e  
L   = Am unt-T*eO pi-(A=A       A0,memory
 
 NOTE:  *e lways ask f   ev      DC.W   bytes  *; Free Te* This is a quite nc
   nsumue
Er
   , g   from eq._    if
 
          nc
 is a p A lnm.             move.l  $00   DD1/s5-D   1/A5A7)
                trap      tureeq._e a_PEKM
                movem.0000068.wMAXbeq.       7ND  tst.l   (A0)
          -1    5,(A6)+
     ; A       oneeq._e a A0,b .L f u   A7,(A6)+
        $00 l
 $7F      
D6,(A6)+
;r of W   b .L f u   A   FINDSUIT      DC.W ture    2) 1s   .Slutet
                 2)  time
* period (dr m     DCNICHT         lea     T
   L 2 GetH1               ; Big 
 ough?l (A41)
          ltesvMemNICHT
        lea     T
   L 2 G6tH1               ; Sm #6C.Wth   oDP b .L?l (A41)
          geesvMemNICHT
        lea     T $00o   T1  6only have to CONSI        -8    on5  mNICHT:e to CONSou wish t7,. INDSUIT   A7,(A6)+
          a l
    n5         DC.W 0
 aER that NOFRA beq.s             trap      ture  r: -(

                mo l  4Pr5)pi          lea     T
   lsh t7, 0l (A41)
          ines MUSCHG     A7,(A6)+
        $00 l
 -1,yo              ;    rre $00d A7,(A6)+
        $00 l
 -1,4rar:-T8(A6,D7.w),D7
  
ResvMemMq._DONE   CHG    :D0
    beg       yo               ;  i8  ew     A7,(A6)+
       
   L 2 Getrar:-T8(A6,D7.w),D7
 240.L 2 GetH7l (A41)
          $00o   T7,4rar:-T8(A6,D7.w),D7
  
ResvMemMq._DONE    mNOFRA beq.:D0
        eq._    
   5harceters where it is turerar: -(A            ; 1
*NDrm #,mem A7,(A6)+
       
   L 2 Getrar:-T   Mq._DONE      DC.W    DC.W Res1/s5-D   1/A5A7)(A5)+,A0
             5)+,A0
        Draw PictFREE    beq.:          F   *Mem     p pi$00one   r-ab'-T*e .=ovea.lA      -T*e  =Lengho
 
    NOTE:  *eOn0, f   *ev      DC.W   bytes  *; Free Te Te* This r
     lans nc
!, do 'trre      memory in yT
r IRQ's!             move.l  $00   DD   )
      s   .Slutet
         tureeq._e a_PEKM
                movem.0000068.wMAXbeq.       7ND  . IND_FREE    :cns that 4    cmp.b   #'"',D0
  T  that NOT_FREE            move.l  $000000   ;etra  cmp.b   #'"',D0
 l (A7)+,Get4    cmp.b   #'"',D0
     thatCLEAN    be at the NEXT vbl..
 
ResvMemFREE DONE   NOT_FREE    :SI,(A6)l
    6          DC.W 0
      DC.7,. IND_FREE     A7,(A6)+
         bsr      . REE DONE:    DC.W    DC.W Res   )(A5)+,A0
             5)+,A0
        Draw PictCLEAN    be a:         C   n upe   r-ab'-T*eThis r
    s fmovs diff   n  fragm
  io sWth 
*a#0, #6y is-T*enst     lN ksWthem tog     . I
*also,$hecks if fragm
   rtmemory is-T*edirGct6y lN k rtA0,eq._           n    nsfa       tmemory A0,f   *mnm.  * (th 
*is memory ab

 eq._   )-T*eThis r
     is c #6Cd from FREE    beq.        reby
  ll    teq._e a-T*ealways D* c   n.             move.l  $00   DDl @1/s6- 1/A4A7)
                trap      tureeq._e a_PEKM
   4s   .Slutet
         ture 4  6              movem.0000068.wMAXbeq.       7ND.LX_1:tet
         ture    2) 0s   .Slutet
                 2) 0l (A41)
          m     DC Y_1  -T8(A6,D7.w),D7
    a7)+,GetA0   A7,(A6)+
          a l
eq._    
   (A     ;*Memory ju PR elow*Mem_    A7,(A6)+
        ines MUS OT_eq._    A7,(A6)+
        $00 l
 -1,-8ra  cmp.b   #'"',D0
 l (A7)+, -1,-4             moveq   #7,D7
.Aeq._    
   5harceters where it240.L 2 Getrar:-T     NOT_eq._   :       ture 4  5            movem.0000068.wMAXbeq.       6ND.LX_2:tet
         ture  5 2) 1s   .Slutet
               5 2)  time
* period (dr m     DC Y_2   A7,(A6)+
          a l
A7
\STEDI.PRG"
        ines MUS Y_2   A7,(A6)+
       l (A7)+, -1,-yo             ; FT
  a lN k A7,(A6)+
       l (A7)+, -1,-yo   A7,(A6)+
       
   L 2 G1,-yo6)

              .w   l
 4mo6t the NEXT vbl..
 
ResvMemLX_1      Y_2:tet
     ou wish t6, LX_2    Y_1:tet
     ou wish t7,mLX_1               move.l  $00   DC.W Res0 @1/s6- 1/A4A7)(A5)+,A0
             5)+,A0
        Draw PictINIT    beq.:          tCha Framgm
   Mem Tab'-T*eThis Rl  t     tFragm
   rtmemory map             move.l  $00   DD6-D   )
               move.l  $00tureeq._e a_PEKM
                movem.0000068.wMAXbeq.       7ND          movem.0000         6   INbeq.:D0
    l (A7)+, 6,nl6 at

              $00on B 6,nl6 at

             ou wish t7,mINbeq.             move.l  $00   DC.W Res6-D   )(A5)+,A0
             5)+,A0
        Draw PictINIT eq.CONTL:         tCha Memory Cont   C.WM
 '         moveq   #7,D7
.Aeq._e a_PEKM
   0         moveq   #7,D7
.Aeq._e a     movea.l (A5)+,A0            ; Look          moveq   #7,D7
.Aeq._    
   0         moveq   #7,D7
.Aeq.ORY     movea.l (A5)+,A0            ; Look          moveq   #     5)+,A0
        Draw PictCLEARbeq.:D0
         C    *aDGrab memory apla'-T*eCall   isedirGct6y afte        beq. A0,abtain a c   n mem apla           move.l  $00   DDl/A$0014(A move.w  #$004A,-(lsr      1  0

              .w   D7,D7
D0l (A41)
          m     DCS   nge   Rensa        Dr   S    
0  akly have to CONSIou wish t0, Rensa       nge:move.l  $00   DC.W Res0/ 0         moveq   #     5)+,A0
        Draw Picteq._e a_PEK:
 
  StL 1  eq._   :    
 
  StL 1  5)+,A0
        BSScteq._e a:    
 
  Sta rAXbeq.   *8  eq.ORY:D0
      Sta 500*1 24    5)+,A0
        DraC  5)+,A0
        Dra
